Page MenuHomePhabricator

Missing NICs
Closed, ResolvedPublicBUG

Description

Hi,

I have a Lex 3I380D-D90
Bay Trail-D J1900 2.0GHz (Burst to 2.41GHz) (Quad Core)
Intel Bay Trail-D J1900 chipset
Insyde UEFI BIOS

  • 4 x Intel I211AT 10 / 100 / 1000 Mbps
  • 1x PCIe Mini Card (USB + PCIe + SIM card)
  • 1x PCIe Mini Card (USB + mSATA Gen II)

Running 1.2RC5 I see all four NICs. From RC6 (newer kernel?) only eth0 is present.

sh ver
Hardware vendor:  Lex BayTrail
Hardware model:   3I380D D1
sh tech-support | grep Lex
DMI: Lex BayTrail       3I380D D1         /3I380D D1         , BIOS 3I380D D3 11/09/2015

Eth0 is on pci port 1 bus-info 0000:01:00.0
Eth1 is on pci port 2 bus-info 0000:02:00.0
Eth2 is on pci port 3 bus-info 0000:03:00.0
Eth3 is on pci port 4 bus-info 0000:04:00.0
sh ha pci | grep Ether
RC5 & RC8 show all four
01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
02:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
04:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

RC5

sh ha pci detail

01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d0700000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 4000 [size=32]
        Region 3: Memory at d0720000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: igb

02:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at d0600000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 3000 [size=32]
        Region 3: Memory at d0620000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: igb

03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0500000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 2000 [size=32]
        Region 3: Memory at d0520000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: igb

04:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at d0400000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 1000 [size=32]
        Region 3: Memory at d0420000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: igb

RC8:

01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d0700000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 4000 [size=32]
        Region 3: Memory at d0720000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: igb

02:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at d0600000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 3000 [size=32]
        Region 3: Memory at d0620000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at d0500000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 2000 [size=32]
        Region 3: Memory at d0520000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

04:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
        Subsystem: Intel Corporation Device 0000
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at d0400000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at 1000 [size=32]
        Region 3: Memory at d0420000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

so all is OK at this level.

This is where the difference is:

RC5

sh system ke | grep Ether
[    1.961642] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[    2.224141] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[    2.481864] igb 0000:02:00.0: Intel(R) Gigabit Ethernet Network Connection
[    2.749271] igb 0000:03:00.0: Intel(R) Gigabit Ethernet Network Connection
[    3.017660] igb 0000:04:00.0: Intel(R) Gigabit Ethernet Network Connection

RC8 shows only one (eth0)

[    2.019539] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[    2.048635] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection

RC5

sudo ethtool -i eth0
	driver: igb
	version: 5.4.0-k
	firmware-version:  0. 4-1
	bus-info: 0000:01:00.0

sudo ethtool -i eth1
	driver: igb
	version: 5.4.0-k
	firmware-version:  0. 4-1
	bus-info: 0000:02:00.0

sudo ethtool -i eth2
	driver: igb
	version: 5.4.0-k
	firmware-version:  0. 4-1
	bus-info: 0000:03:00.0

sudo ethtool -i eth3
	driver: igb
	version: 5.4.0-k
	firmware-version:  0. 4-1
	bus-info: 0000:04:00.0

RC8

sudo ethtool -i eth0
	driver: igb
	version: 5.4.0-k
	firmware-version:  0. 4-1
	bus-info: 0000:01:00.0

sudo ethtool -i eth1,eth2 & eth3 reports "no such device"

SteveP

Details

Difficulty level
Hard (possibly days)
Version
1.2RC9
Why the issue appeared?
Issues in third-party code

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
syncer assigned this task to c-po.Nov 30 2018, 3:30 PM
syncer triaged this task as High priority.
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc10); removed VyOS 1.2 Crux.
syncer added subscribers: c-po, syncer.

@c-po should we build the latest drivers, or what will be your idea around that?

c-po added a comment.Dec 1 2018, 2:22 AM

@SteveP do you have time booting a Debian Buster (testing) ISO on your device and see if your NICs do appear?

SteveP added a comment.Dec 1 2018, 7:28 AM

Hi,

Certainly. I use this one as my home router so no problem. Is this the version you mean? https://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-cd/debian-testing-amd64-netinst.iso

SteveP

SteveP added a comment.Dec 1 2018, 9:24 AM

Hi, The NICs are all present{F267310}

c-po added a comment.Dec 1 2018, 10:38 AM

I will provide a VyOS testing ISO somewhen next week, would be much appreciated if you can test.

No problem. There is no hurry, I'm happy running RC5 for now.

SteveP

pasik added a subscriber: pasik.Dec 16 2018, 11:20 AM
c-po added a comment.Jan 2 2019, 6:57 AM

@SteveP can you please test with latest rolling ISO?

SteveP added a comment.Jan 2 2019, 6:39 PM

Hi,

Still only one interface I'm afraid.

stevep@home-r1:~$ sh ver

Version: VyOS 1.2.0-rolling+201901021736

Built by: autobuild@vyos.net

Built on: Wed 02 Jan 2019 17:36 UTC

Build ID: 110c1f91-1c97-49fe-bf87-8ed82a4e2835

Architecture: x86_64

Boot via: installed image

System type: bare metal

Hardware vendor: Lex BayTrail

Hardware model: 3I380D D1

Hardware S/N: Unknown

Hardware UUID: Unknown

Copyright: VyOS maintainers and contributors

stevep@home-r1:~$ sh int

Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down

Interface IP Address S/L Description


eth0 192.168.3.1/24 u/u

lo 127.0.0.1/8 u/u

::1/128

stevep@home-r1:~$

stevep@home-r1:~$ sh ver

Version: VyOS 1.2.0-rc5

Built by: maintainers@vyos.net

Built on: Mon 29 Oct 2018 16:42 UTC

Build ID: cb266d4b-2263-44b7-95d9-20a57ed87f2c

Architecture: x86_64

Boot via: installed image

System type: bare metal

Hardware vendor: Lex BayTrail

Hardware model: 3I380D D1

Hardware S/N: Unknown

Hardware UUID: Unknown

Copyright: VyOS maintainers and contributors

stevep@home-r1:~$ sh int eth

Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down

Interface IP Address S/L Description


eth0 192.168.3.1/24 u/u

eth1 192.168.1.1/24 u/u

eth2 192.168.4.1/24 u/D

eth3 192.168.5.1/24 u/u

stevep@home-r1:~$

SteveP

c-po added a comment.Jan 2 2019, 8:02 PM

Weird, as we use the exact same network adapter configuraion as Debian Buster :/

c-po added a comment.Jan 2 2019, 8:04 PM

Can you provide us with e shell output of lsmod command?

Hi,

pppoe is on one of the missing NICs so I guess that is why it is missing
from the 1.2 output

RC5:

stevep@home-r1:~$ lsmod

Module Size Used by

pppoe 20480 2

pppox 16384 1 pppoe

ppp_generic 32768 6 pppox,pppoe

slhc 16384 1 ppp_generic

ipt_MASQUERADE 16384 1

nf_nat_masquerade_ipv4 16384 1 ipt_MASQUERADE

xt_nat 16384 2

xt_set 16384 5

xt_comment 16384 14

nf_conntrack_ipv6 16384 6

nf_defrag_ipv6 16384 1 nf_conntrack_ipv6

xt_conntrack 16384 12

ip_set_hash_net 32768 2

ip_set_bitmap_port 16384 2

ip_set_hash_ip 32768 1

ip_set 36864 4
ip_set_bitmap_port,ip_set_hash_ip,xt_set,ip_set_hash_net

iptable_nat 16384 1

nf_nat_ipv4 16384 1 iptable_nat

ip6table_mangle 16384 1

ip6table_filter 16384 1

ip6table_raw 16384 1

ip6_tables 24576 3 ip6table_filter,ip6table_raw,ip6table_mangle

iptable_filter 16384 1

nf_conntrack_ipv4 16384 15

nf_defrag_ipv4 16384 1 nf_conntrack_ipv4

xt_CT 16384 9

nfnetlink_cthelper 16384 5

nfnetlink 16384 2 nfnetlink_cthelper,ip_set

iptable_raw 16384 1

nf_nat_pptp 16384 0

nf_conntrack_pptp 16384 1 nf_nat_pptp

nf_conntrack_proto_gre 16384 1 nf_conntrack_pptp

nf_nat_h323 16384 0

nf_conntrack_h323 57344 1 nf_nat_h323

nf_nat_proto_gre 16384 1 nf_nat_pptp

nf_nat_tftp 16384 0

nf_nat_ftp 16384 0

nf_nat 28672 8
nf_nat_masquerade_ipv4,nf_nat_ftp,nf_nat_ipv4,xt_nat,nf_nat_tftp,nf_nat_pptp
,nf_nat_h323,nf_nat_proto_gre

nf_conntrack_tftp 16384 1 nf_nat_tftp

nf_conntrack_ftp 20480 1 nf_nat_ftp

nf_conntrack 110592 19
xt_conntrack,nf_nat_masquerade_ipv4,nf_conntrack_ipv6,nf_conntrack_ipv4,nf_n
at,nf_conntrack_tftp,nfnetlink_cthelper,nf_nat_ftp,nf_conntrack_pptp,ipt_MAS
QUERADE,nf_nat_ipv4,xt_nat,nf_nat_tftp,nf_conntrack_h323,nf_nat_pptp,nf_conn
track_proto_gre,nf_conntrack_ftp,xt_CT,nf_nat_h323

libcrc32c 16384 2 nf_conntrack,nf_nat

fuse 90112 1

iTCO_wdt 16384 0

evdev 20480 2

coretemp 16384 0

ghash_clmulni_intel 16384 0

pcspkr 16384 0

serio_raw 16384 0

cryptd 20480 1 ghash_clmulni_intel

video 40960 0

shpchp 32768 0

lpc_ich 28672 0

mfd_core 16384 1 lpc_ich

iosf_mbi 16384 0

button 16384 0

pcc_cpufreq 16384 0

ipv6 393216 41
nf_conntrack_ipv6,nf_defrag_ipv6,ip6table_mangle

autofs4 36864 2

usb_storage 57344 0

ohci_hcd 45056 0

loop 28672 2

md_mod 118784 0

ata_generic 16384 0

pata_acpi 16384 0

crc32c_intel 24576 2

igb 192512 0

i2c_algo_bit 16384 1 igb

dca 16384 1 igb

ptp 20480 1 igb

i2c_i801 28672 0

pps_core 16384 1 ptp

i2c_core 40960 3 i2c_algo_bit,igb,i2c_i801

ata_piix 32768 1

thermal 20480 0

fan 16384 0

c-po updated the task description. (Show Details)Jan 3 2019, 12:23 PM

Hi,

After a bit more digging

stevep@home-r1:/var/log$ cat /var/log/messages | grep igb

Jan 3 09:01:15 home-r1 kernel: [ 2.787856] igb: probe of 0000:02:00.0
failed with error -2

Jan 3 09:01:15 home-r1 kernel: [ 2.788648] igb: probe of 0000:03:00.0
failed with error -2

Jan 3 09:01:15 home-r1 kernel: [ 2.789450] igb: probe of 0000:04:00.0
failed with error -2

The NIC that is working is on 0000:01:00.0

On RC5 I can see the PCI Bus info:

stevep@home-r1:~$ sh tech-support | grep 0000:0

stevep 5992 5740 0 10:01 pts/0 xxxx:xxxx:00 grep 0000:0

[ 0.681096] PCI host bridge to bus 0000:00

[ 0.681102] pci_bus 0000:00: root bus resource [io 0x0070-0x0077]

[ 0.681105] pci_bus 0000:00: root bus resource [io 0x0000-0x006f window]

[ 0.681108] pci_bus 0000:00: root bus resource [io 0x0078-0x0cf7 window]

[ 0.681111] pci_bus 0000:00: root bus resource [io 0x0d00-0xffff window]

[ 0.681115] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff
window]

[ 0.681118] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff
window]

[ 0.681121] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff
window]

[ 0.681124] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xd0affffe
window]

[ 0.681127] pci_bus 0000:00: root bus resource [mem
0x140000000-0x53fffffff window]

[ 0.681131] pci_bus 0000:00: root bus resource [bus 00-ff]

[ 0.823409] pci_bus 0000:00: resource 4 [io 0x0070-0x0077]

[ 0.823412] pci_bus 0000:00: resource 5 [io 0x0000-0x006f window]

[ 0.823415] pci_bus 0000:00: resource 6 [io 0x0078-0x0cf7 window]

[ 0.823418] pci_bus 0000:00: resource 7 [io 0x0d00-0xffff window]

[ 0.823422] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff
window]

[ 0.823425] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff
window]

[ 0.823428] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff
window]

[ 0.823431] pci_bus 0000:00: resource 11 [mem 0xc0000000-0xd0affffe
window]

[ 0.823434] pci_bus 0000:00: resource 12 [mem 0x140000000-0x53fffffff
window]

[ 0.823437] pci_bus 0000:01: resource 0 [io 0x4000-0x4fff]

[ 0.823440] pci_bus 0000:01: resource 1 [mem 0xd0700000-0xd07fffff]

[ 0.823443] pci_bus 0000:02: resource 0 [io 0x3000-0x3fff]

[ 0.823446] pci_bus 0000:02: resource 1 [mem 0xd0600000-0xd06fffff]

[ 0.823450] pci_bus 0000:03: resource 0 [io 0x2000-0x2fff]

[ 0.823453] pci_bus 0000:03: resource 1 [mem 0xd0500000-0xd05fffff]

[ 0.823456] pci_bus 0000:04: resource 0 [io 0x1000-0x1fff]

[ 0.823459] pci_bus 0000:04: resource 1 [mem 0xd0400000-0xd04fffff]

On 1.2.0-rolling+201901021736 I don't see any pci_bus info.

stevep@home-r1:~$ sh tech-support | grep 0000:0

stevep 4748 4673 0 10:19 pts/0 xxxx:xxxx:00 grep 0000:0

I also have a warning "Warning! ehci_hcd should always be loaded before
uhci_hcd and ohci_hcd, not after" which is not there with RC5. This seems to
be a possible USB problem so is probably unrelated to this but I thought I'd
report it anyway in case it is significant somehow.

I am also getting an error with sh system kernel-messages which also was not
there with RC5.

stevep@home-r1:/var/log$ sh system kernel-messages

dmesg: read kernel buffer failed: Operation not permitted

Let me know if you need anything else.

SteveP

c-po added a comment.Jan 3 2019, 3:40 PM

I am also getting an error with sh system kernel-messages which also was not there with RC5.

This was fixed in T1151

Hi,

Still didn’t fix it I’m afraid.

cat /var/log/messages | grep -I warning

“Warning! ehci_hcd should always be loaded before uhci_hcd and ohci_hcd, not after” does NOT appear in this build

“sh system kernel-messages” is fixed in this build

stevep@home-r1:~$ lsmod | grep -i igb

igb 212992 0

i2c_algo_bit 12288 1 igb

dca 12288 1 igb

stevep@home-r1:~$ sh system kernel-messages | grep igb

[ 2.744207] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k

[ 2.744209] igb: Copyright (c) 2007-2014 Intel Corporation.

[ 2.776483] igb 0000:01:00.0: added PHC on eth0

[ 2.776486] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection

[ 2.776489] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce

[ 2.776492] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF

[ 2.776495] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)

[ 2.777387] igb: probe of 0000:02:00.0 failed with error -2

[ 2.778178] igb: probe of 0000:03:00.0 failed with error -2

[ 2.778961] igb: probe of 0000:04:00.0 failed with error -2

[ 107.616078] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX

sh hardware pci

00:00.0 Host bridge: Intel Corporation Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register (rev 0e)

00:02.0 VGA compatible controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e)

00:13.0 IDE interface: Intel Corporation Device 0f21 (rev 0e)

00:14.0 USB controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series USB xHCI (rev 0e)

00:1a.0 Encryption controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine (rev 0e)

00:1b.0 Audio device: Intel Corporation Atom Processor Z36xxx/Z37xxx Series High Definition Audio Controller (rev 0e)

00:1c.0 PCI bridge: Intel Corporation Device 0f48 (rev 0e)

00:1c.1 PCI bridge: Intel Corporation Device 0f4a (rev 0e)

00:1c.2 PCI bridge: Intel Corporation Device 0f4c (rev 0e)

00:1c.3 PCI bridge: Intel Corporation Device 0f4e (rev 0e)

00:1f.0 ISA bridge: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Power Control Unit (rev 0e)

00:1f.3 SMBus: Intel Corporation Device 0f12 (rev 0e)

01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

02:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

04:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)

stevep@home-r1:~$ sh int

Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down

Interface IP Address S/L Description


eth0 192.168.3.1/24 u/u

lo 127.0.0.1/8 u/u

::1/128

SteveP

I met the same prolem with vyos 1.2.0. EPA2

c-po added a comment.Jan 5 2019, 10:05 AM

Anyone can provide me with a hardware?

SteveP added a comment.Jan 5 2019, 5:15 PM

Hi,

It was purchased from here:

Manfred Brosche E-Mail brosche@ipc2u.de

IPC2U GmbH

Frankenring 6

D-30855 Langenhagen

Amtsgericht Hannover

Abt. B Nr. 201075

Tel.: +49 (0)511 807259-0

E-Mail: sales@ipc2u.de

http//www.ipc2u.de

Part NO: 85507

Twitter Embedded Server, Intel Celeron J1900 Quad Core 2GHz 3I380D CPU Card,

4GB DDR3 SODIMM, 8GB mSATA, HDMI, VGA, 4xGbit Intel LAN, 3xUSB 2.0, 2xCOM,
Mini-PCIe, 12V DC-In

Perhaps you could convince them to lend you one if they think there may be
more sales in it. It is quite expensive but is a high-end piece of kit.

 _____

Steve Palmer

IT Consultant

vmware_Cert_P_DCV6

ASP Services

23 High Lawn, Devizes SN10 2BA

cid:image006.gif@01C52ADA.893EAB70Mobile: 07764 199086 E-Mail:
<mailto:stevep@asp-services.co.uk> stevep@asp-services.co.uk

_____

This e-mail is strictly confidential and is intended solely for the person
to whom it is addressed. If you are not the intended recipient, you may not
copy it or use it for any purpose, nor disclose its contents to any other
person. Please notify us immediately by e-mail or by telephoning the above
number if you are not the intended recipient of this e-mail. The views and
opinions expressed in this e-mail do not necessarily represent those of ASP

SteveP added a comment.Jan 5 2019, 5:20 PM

Hi,

Looks like this might be the salient point:

Notice 0000:01:00.0 is not listed and that is eth0 which is working.

stevep@home-r1:/var/log$ cat /var/log/messages | grep igb

Jan 3 09:01:15 home-r1 kernel: [ 2.787856] igb: probe of 0000:02:00.0
failed with error -2

Jan 3 09:01:15 home-r1 kernel: [ 2.788648] igb: probe of 0000:03:00.0
failed with error -2

Jan 3 09:01:15 home-r1 kernel: [ 2.789450] igb: probe of 0000:04:00.0
failed with error -2

I found this which seems to be the same problem. It was fixed a couple of
years ago. Could it be the same problem that has found its way back into the
kernel?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1639810

https://patchwork.ozlabs.org/patch/690464/

add i211 to i210 PHY workaround:

i210 and i211 share the same PHY but have different PCI IDs. Don't forget
i211 for any i210 workarounds.

https://lists.opensuse.org/opensuse-bugs/2016-11/msg04288.html

SteveP

c-po added a comment.Jan 5 2019, 5:40 PM

@SteveP as it works with Debian Buster it should work with our newer Kernel, too.

Would it be possible to ship your board to me if you are based in Germany?

SteveP added a comment.Jan 5 2019, 6:20 PM

Hi,

I'm based in UK and it is my home router so that would be difficult. They
may lend you one to get it on here
https://wiki.vyos.net/wiki/Network_appliances

If not, how about I cobble up a temporary router to keep my internet up and
port forward to eth0 on the Lex so you can access it from there? Eth0 stays
up across all VyOS versions so would stay available when the other
interfaces are missing. I don't have a fixed IP but it probably doesn't
change that often.

I am working away now until next Thursday (10th) but can pick it up again
then.

Let me know how you would like to proceed.

SteveP

c-po added a comment.Jan 5 2019, 6:25 PM

I will approach the vendor first.

SteveP added a comment.Jan 6 2019, 6:06 AM

Hi,

I have also realised that, as lspci shows the NICs on the PCI bus even
though they are not there in VyOS 1.2 after RC6, maybe they will be present
during the install but not after the system reboots. When I tested it with
Buster, I only took the install to the point of being presented with the
four NICs, I didn't actually install it and see if they were still there
after the reboot.

lspci | grep Ethernet

01:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network
Connection (rev 03)

02:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network
Connection (rev 03)

03:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network
Connection (rev 03)

04:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network
Connection (rev 03)

As this https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1639810 looks
suspiciously like this problem and, as it is quite clearly kernel related,
whilst you approach IPC2U, I'll do a complete install and see if all NICs
are still there when it is ready for use. I may be able to do it today but,
if not, I'll pick it up again next Thursday.

SteveP

SteveP added a comment.Jan 6 2019, 4:43 PM

HI,

I managed to do a full install of Buster (weekly) on it and I can confirm
that the problem IS still there. I confirmed that the kernel is 4.19.12-1. I
then installed the kernel from the sid branch

Linux debian 4.19.0-1-amd64 #1 SMP Debian 4.19.13-1 (2018-12-30) x86_64 and
the problem IS still there.

dmesg | grep igb

[ 2.811316] igb: probe of 0000:02:00.0 failed with error -2

[ 2.812116] igb: probe of 0000:03:00.0 failed with error -2

[ 2.812900] igb: probe of 0000:04:00.0 failed with error -2

Where does that leave us now?

SteveP

c-po added a comment.Jan 6 2019, 5:30 PM

Looks like a general issue here. Do you still have the old Buster ISO with Kernel 4.18 that you can install on the target HW?

Your reported solution from bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1639810 is included in our Kernel binary

c-po added a comment.Jan 6 2019, 5:44 PM

According to the datasheet https://f.ipc2u.de/files/add/doc/445/3I380D-D90-Datasheet.pdf I see no PHY that is used on this board - nevertheless I saw that we do not ship every avialable PHY driver, also drivers present in 1.2.0-rc6 are no longer present like CONFIG_BCM7XXX_PHY. I will provide you with an updated ISO for testing.

SteveP added a comment.Jan 6 2019, 5:51 PM

Hi,

I don't have the old Buster ISO with Kernel 4.18 anymore.

The thing is, as far as I'm aware, all four NICs are exactly the same, why
would eth0 come up and the others fail? I'll give it a go though if you send
me a link. I'd like to get to the bottom of it.

SteveP

c-po added a comment.Jan 6 2019, 6:11 PM

ISO is still building. You are right, a NIC is a NIC, but a NIC consists of a MAC and a PHY which does the PHYsical interface. you can have the same MAC part multiple times but with different PHY ICs. Lets wait for the ISO to compile.

Can you show me the output of sudo dmesg from your 1.2.0-RC6 installation? Please paste the output log in a code block:

SteveP added a comment.Jan 6 2019, 6:19 PM

OK, just getting VyOS back on it as installing Debian wiped the hard disk.

SteveP

SteveP added a comment.Jan 6 2019, 7:16 PM

[ 0.000000] Linux version 4.19.0-amd64-vyos (jenkins@jessiedevel) (gcc version 4.9.2 (Debian 4.9.2-10+deb8u1)) #32 SMP Mon Nov 5 23:05:00 CET 2018
[ 0.000000] Command line: BOOT_IMAGE=/boot/1.2.0-rc6/vmlinuz boot=live quiet vyos-union=/boot/1.2.0-rc6 console=ttyS0,9600 console=tty0
[ 0.000000] x86/fpu: x87 FPU will use FXSAVE
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009e7ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009e800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b8918fff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000b8919000-0x00000000b8f18fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000b8f19000-0x00000000b9118fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000b9119000-0x00000000b9158fff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000b9159000-0x00000000b9ffffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000ba000000-0x00000000ba7fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000bae00000-0x00000000bfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed03000-0x00000000fed03fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed08fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed0c000-0x00000000fed0ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1cfff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fef00000-0x00000000feffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ffd00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000013fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.7 present.
[ 0.000000] DMI: Lex BayTrail 3I380D D1 /3I380D D1 , BIOS 3I380D D3 11/09/2015
[ 0.000000] tsc: Detected 1999.200 MHz processor
[ 0.002173] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.002179] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.002192] last_pfn = 0x140000 max_arch_pfn = 0x400000000
[ 0.002198] MTRR default type: uncachable
[ 0.002200] MTRR fixed ranges enabled:
[ 0.002203] 00000-9FFFF write-back
[ 0.002205] A0000-BFFFF uncachable
[ 0.002208] C0000-FFFFF write-protect
[ 0.002210] MTRR variable ranges enabled:
[ 0.002213] 0 base 0FFD00000 mask FFFC00000 write-protect
[ 0.002216] 1 base 000000000 mask F80000000 write-back
[ 0.002218] 2 base 080000000 mask FC0000000 write-back
[ 0.002221] 3 base 0BC000000 mask FFC000000 uncachable
[ 0.002223] 4 base 0BB000000 mask FFF000000 uncachable
[ 0.002226] 5 base 0BAE00000 mask FFFE00000 uncachable
[ 0.002229] 6 base 100000000 mask FC0000000 write-back
[ 0.002230] 7 disabled
[ 0.002378] x86/PAT: Configuration [0-7]: WB WC UC- UC WB WP UC- WT
[ 0.002489] last_pfn = 0xba000 max_arch_pfn = 0x400000000
[ 0.008351] found SMP MP-table at [mem 0x000fe1c0-0x000fe1cf] mapped at [(____ptrval____)]
[ 0.009015] Scanning 1 areas for low memory corruption
[ 0.009020] Base memory trampoline at [(____ptrval____)] 98000 size 24576
[ 0.009026] BRK [0x02001000, 0x02001fff] PGTABLE
[ 0.009030] BRK [0x02002000, 0x02002fff] PGTABLE
[ 0.009033] BRK [0x02003000, 0x02003fff] PGTABLE
[ 0.009206] BRK [0x02004000, 0x02004fff] PGTABLE
[ 0.010049] BRK [0x02005000, 0x02005fff] PGTABLE
[ 0.010517] RAMDISK: [mem 0x34232000-0x36110fff]
[ 0.010530] ACPI: Early table checksum verification disabled
[ 0.010623] ACPI: RSDP 0x00000000000FE020 000024 (v02 INSYDE)
[ 0.010630] ACPI: XSDT 0x00000000B9158120 0000A4 (v01 INSYDE INSYDE 00000003 01000013)
[ 0.010641] ACPI: FACP 0x00000000B9155000 00010C (v05 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010653] ACPI: DSDT 0x00000000B9144000 009F79 (v02 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010661] ACPI: FACS 0x00000000B90D2000 000040
[ 0.010667] ACPI: UEFI 0x00000000B9157000 000236 (v01 INSYDE INSYDE 00000001 ACPI 00040000)
[ 0.010675] ACPI: HPET 0x00000000B9154000 000038 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010683] ACPI: LPIT 0x00000000B9153000 000104 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010690] ACPI: APIC 0x00000000B9152000 000084 (v03 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010698] ACPI: MCFG 0x00000000B9151000 00003C (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010706] ACPI: SLIC 0x00000000B9150000 000176 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010713] ACPI: WDAT 0x00000000B914F000 0001C4 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010721] ACPI: WDRT 0x00000000B914E000 000047 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.010728] ACPI: SSDT 0x00000000B9143000 000763 (v01 INSYDE CpuPm 00003000 ACPI 00040000)
[ 0.010736] ACPI: SSDT 0x00000000B9142000 000290 (v01 INSYDE Cpu0Tst 00003000 ACPI 00040000)
[ 0.010744] ACPI: SSDT 0x00000000B9141000 00017A (v01 INSYDE ApTst 00003000 ACPI 00040000)
[ 0.010751] ACPI: UEFI 0x00000000B9140000 000042 (v01 INSYDE INSYDE 00000000 ACPI 00040000)
[ 0.010759] ACPI: SSDT 0x00000000B913F000 00065B (v01 INSYDE SIOACPI 00001000 ACPI 00040000)
[ 0.010767] ACPI: SSDT 0x00000000B913E000 00022B (v01 INSYDE IsctTabl 00001000 ACPI 00040000)
[ 0.010774] ACPI: FPDT 0x00000000B913D000 000044 (v01 INSYDE INSYDE 00000002 ACPI 00040000)
[ 0.010791] ACPI: Local APIC address 0xfee00000
[ 0.010928] No NUMA configuration found
[ 0.010931] Faking a node at [mem 0x0000000000000000-0x000000013fffffff]
[ 0.010937] NODE_DATA(0) allocated [mem 0x13fff9000-0x13fffcfff]
[ 0.010976] Zone ranges:
[ 0.010978] DMA [mem 0x0000000000001000-0x0000000000ffffff]
[ 0.010981] DMA32 [mem 0x0000000001000000-0x00000000ffffffff]
[ 0.010984] Normal [mem 0x0000000100000000-0x000000013fffffff]
[ 0.010986] Movable zone start for each node
[ 0.010988] Early memory node ranges
[ 0.010990] node 0: [mem 0x0000000000001000-0x000000000009dfff]
[ 0.010992] node 0: [mem 0x0000000000100000-0x00000000b8918fff]
[ 0.010994] node 0: [mem 0x00000000b9159000-0x00000000b9ffffff]
[ 0.010996] node 0: [mem 0x0000000100000000-0x000000013fffffff]
[ 0.012148] Reserved but unavailable: 26787 pages
[ 0.012152] Initmem setup node 0 [mem 0x0000000000001000-0x000000013fffffff]
[ 0.012156] On node 0 totalpages: 1021789
[ 0.012158] DMA zone: 64 pages used for memmap
[ 0.012160] DMA zone: 21 pages reserved
[ 0.012162] DMA zone: 3997 pages, LIFO batch:0
[ 0.012389] DMA32 zone: 11807 pages used for memmap
[ 0.012391] DMA32 zone: 755648 pages, LIFO batch:63
[ 0.058720] Normal zone: 4096 pages used for memmap
[ 0.058724] Normal zone: 262144 pages, LIFO batch:63
[ 0.072777] x86/hpet: Will disable the HPET for this platform because it's not reliable
[ 0.072785] Reserving Intel graphics memory at [mem 0xbb000000-0xbeffffff]
[ 0.072953] ACPI: PM-Timer IO Port: 0x408
[ 0.072958] ACPI: Local APIC address 0xfee00000
[ 0.072970] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[ 0.072972] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[ 0.072974] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[ 0.072976] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[ 0.072990] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[ 0.072994] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.072998] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.073001] ACPI: IRQ0 used by override.
[ 0.073004] ACPI: IRQ9 used by override.
[ 0.073010] Using ACPI (MADT) for SMP configuration information
[ 0.073013] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.073022] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[ 0.073064] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[ 0.073069] PM: Registered nosave memory: [mem 0x0009e000-0x0009efff]
[ 0.073070] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[ 0.073072] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[ 0.073074] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[ 0.073078] PM: Registered nosave memory: [mem 0xb8919000-0xb8f18fff]
[ 0.073079] PM: Registered nosave memory: [mem 0xb8f19000-0xb9118fff]
[ 0.073081] PM: Registered nosave memory: [mem 0xb9119000-0xb9158fff]
[ 0.073085] PM: Registered nosave memory: [mem 0xba000000-0xba7fffff]
[ 0.073086] PM: Registered nosave memory: [mem 0xba800000-0xbadfffff]
[ 0.073088] PM: Registered nosave memory: [mem 0xbae00000-0xbfffffff]
[ 0.073090] PM: Registered nosave memory: [mem 0xc0000000-0xdfffffff]
[ 0.073091] PM: Registered nosave memory: [mem 0xe0000000-0xe3ffffff]
[ 0.073093] PM: Registered nosave memory: [mem 0xe4000000-0xfebfffff]
[ 0.073095] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[ 0.073096] PM: Registered nosave memory: [mem 0xfec01000-0xfed00fff]
[ 0.073098] PM: Registered nosave memory: [mem 0xfed01000-0xfed01fff]
[ 0.073100] PM: Registered nosave memory: [mem 0xfed02000-0xfed02fff]
[ 0.073101] PM: Registered nosave memory: [mem 0xfed03000-0xfed03fff]
[ 0.073103] PM: Registered nosave memory: [mem 0xfed04000-0xfed07fff]
[ 0.073104] PM: Registered nosave memory: [mem 0xfed08000-0xfed08fff]
[ 0.073106] PM: Registered nosave memory: [mem 0xfed09000-0xfed0bfff]
[ 0.073108] PM: Registered nosave memory: [mem 0xfed0c000-0xfed0ffff]
[ 0.073109] PM: Registered nosave memory: [mem 0xfed10000-0xfed1bfff]
[ 0.073111] PM: Registered nosave memory: [mem 0xfed1c000-0xfed1cfff]
[ 0.073113] PM: Registered nosave memory: [mem 0xfed1d000-0xfedfffff]
[ 0.073114] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[ 0.073116] PM: Registered nosave memory: [mem 0xfee01000-0xfeefffff]
[ 0.073117] PM: Registered nosave memory: [mem 0xfef00000-0xfeffffff]
[ 0.073119] PM: Registered nosave memory: [mem 0xff000000-0xffcfffff]
[ 0.073121] PM: Registered nosave memory: [mem 0xffd00000-0xffffffff]
[ 0.073124] [mem 0xc0000000-0xdfffffff] available for PCI devices
[ 0.073126] Booting paravirtualized kernel on bare hardware
[ 0.073132] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[ 0.202934] random: get_random_bytes called from start_kernel+0x8f/0x456 with crng_init=0
[ 0.202953] setup_percpu: NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:4 nr_node_ids:1
[ 0.203764] percpu: Embedded 43 pages/cpu @(____ptrval____) s138648 r8192 d29288 u524288
[ 0.203779] pcpu-alloc: s138648 r8192 d29288 u524288 alloc=1*2097152
[ 0.203782] pcpu-alloc: [0] 0 1 2 3
[ 0.203832] Built 1 zonelists, mobility grouping on. Total pages: 1005801
[ 0.203835] Policy zone: Normal
[ 0.203839] Kernel command line: BOOT_IMAGE=/boot/1.2.0-rc6/vmlinuz boot=live quiet vyos-union=/boot/1.2.0-rc6 console=ttyS0,9600 console=tty0
[ 0.266968] Memory: 3906740K/4087156K available (8200K kernel code, 716K rwdata, 1912K rodata, 1036K init, 536K bss, 180416K reserved, 0K cma-reserved)
[ 0.267084] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[ 0.267190] rcu: Hierarchical RCU implementation.
[ 0.267193] rcu: RCU restricting CPUs from NR_CPUS=64 to nr_cpu_ids=4.
[ 0.267196] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[ 0.267214] NR_IRQS: 4352, nr_irqs: 1024, preallocated irqs: 16
[ 0.270840] Console: colour VGA+ 80x25
[ 0.270849] console [tty0] enabled
[ 0.270876] console [ttyS0] enabled
[ 0.270909] ACPI: Core revision 20180810
[ 0.271182] APIC: Switch to symmetric I/O mode setup
[ 0.272268] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.321184] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[ 0.321204] Calibrating delay loop (skipped), value calculated using timer frequency.. 3998.40 BogoMIPS (lpj=19992000)
[ 0.321209] pid_max: default: 32768 minimum: 301
[ 0.321259] Security Framework initialized
[ 0.322876] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[ 0.323728] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[ 0.323787] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[ 0.323824] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[ 0.324245] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[ 0.324248] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[ 0.324260] mce: CPU supports 6 MCE banks
[ 0.324271] process: using mwait in idle threads
[ 0.324277] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[ 0.324280] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[ 0.324284] Spectre V2 : Mitigation: Full generic retpoline
[ 0.324285] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[ 0.324580] Freeing SMP alternatives memory: 16K
[ 0.331350] TSC deadline timer enabled
[ 0.331354] smpboot: CPU0: Intel(R) Celeron(R) CPU J1900 @ 1.99GHz (family: 0x6, model: 0x37, stepping: 0x8)
[ 0.331633] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, 8-deep LBR, full-width counters, Intel PMU driver.
[ 0.331654] ... version: 3
[ 0.331656] ... bit width: 40
[ 0.331657] ... generic registers: 2
[ 0.331659] ... value mask: 000000ffffffffff
[ 0.331660] ... max period: 0000007fffffffff
[ 0.331661] ... fixed-purpose events: 3
[ 0.331663] ... event mask: 0000000700000003
[ 0.331746] rcu: Hierarchical SRCU implementation.
[ 0.332619] smp: Bringing up secondary CPUs ...
[ 0.332840] x86: Booting SMP configuration:
[ 0.332843] .... node #0, CPUs: #1 #2 #3
[ 0.333896] smp: Brought up 1 node, 4 CPUs
[ 0.333896] smpboot: Max logical packages: 1
[ 0.333896] smpboot: Total of 4 processors activated (15993.60 BogoMIPS)
[ 0.333896] devtmpfs: initialized
[ 0.333896] x86/mm: Memory block size: 128MB
[ 0.333896] PM: Registering ACPI NVS region [mem 0xb8f19000-0xb9118fff] (2097152 bytes)
[ 0.333896] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[ 0.333896] futex hash table entries: 1024 (order: 4, 65536 bytes)
[ 0.333896] NET: Registered protocol family 16
[ 0.333896] audit: initializing netlink subsys (disabled)
[ 0.333896] audit: type=2000 audit(1546801580.070:1): state=initialized audit_enabled=0 res=1
[ 0.333896] cpuidle: using governor ladder
[ 0.333896] cpuidle: using governor menu
[ 0.333896] ACPI: bus type PCI registered
[ 0.333896] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[ 0.333896] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[ 0.333896] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in E820
[ 0.333896] PCI: Using configuration type 1 for base access
[ 0.345728] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[ 0.345728] ACPI: Added _OSI(Module Device)
[ 0.345728] ACPI: Added _OSI(Processor Device)
[ 0.345728] ACPI: Added _OSI(3.0 _SCP Extensions)
[ 0.345728] ACPI: Added _OSI(Processor Aggregator Device)
[ 0.345728] ACPI: Added _OSI(Linux-Dell-Video)
[ 0.345728] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[ 0.368546] ACPI: 6 ACPI AML tables successfully acquired and loaded
[ 0.376426] ACPI: Dynamic OEM Table Load:
[ 0.376426] ACPI: SSDT 0xFFFF88013AF69000 0003BC (v01 PmRef Cpu0Ist 00003000 INTL 20130117)
[ 0.376426] ACPI: Dynamic OEM Table Load:
[ 0.376426] ACPI: SSDT 0xFFFF88013AB18000 000433 (v01 PmRef Cpu0Cst 00003001 INTL 20130117)
[ 0.376439] ACPI: Dynamic OEM Table Load:
[ 0.376439] ACPI: SSDT 0xFFFF88013AF6CA00 00015F (v01 PmRef ApIst 00003000 INTL 20130117)
[ 0.381294] ACPI: Dynamic OEM Table Load:
[ 0.381306] ACPI: SSDT 0xFFFF88013A5000C0 00008D (v01 PmRef ApCst 00003000 INTL 20130117)
[ 0.382721] ACPI: Interpreter enabled
[ 0.382755] ACPI: (supports S0 S5)
[ 0.382758] ACPI: Using IOAPIC for interrupt routing
[ 0.382849] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[ 0.383817] ACPI: Enabled 6 GPEs in block 00 to 3F
[ 0.391538] ACPI: Power Resource [USBC] (on)
[ 0.401222] ACPI: Power Resource [PLPE] (on)
[ 0.401222] ACPI: Power Resource [PLPE] (on)
[ 0.411222] ACPI: Power Resource [CLK0] (on)
[ 0.411321] ACPI: Power Resource [CLK1] (on)
[ 0.416124] ACPI: Power Resource [FN00] (off)
[ 0.417871] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 0.417884] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[ 0.901359] ACPI: Dynamic OEM Table Load:
[ 0.901374] ACPI: SSDT 0xFFFF88013A922F80 00007B (v01 Insyde ACPI5P0 00001000 INTL 20130117)
[ 0.901729] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM
[ 0.901729] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[ 0.902303] PCI host bridge to bus 0000:00
[ 0.902308] pci_bus 0000:00: root bus resource [io 0x0070-0x0077]
[ 0.902312] pci_bus 0000:00: root bus resource [io 0x0000-0x006f window]
[ 0.902315] pci_bus 0000:00: root bus resource [io 0x0078-0x0cf7 window]
[ 0.902318] pci_bus 0000:00: root bus resource [io 0x0d00-0xffff window]
[ 0.902321] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[ 0.902324] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[ 0.902327] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[ 0.902330] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xd0affffe window]
[ 0.902333] pci_bus 0000:00: root bus resource [mem 0x140000000-0x53fffffff window]
[ 0.902337] pci_bus 0000:00: root bus resource [bus 00-ff]
[ 0.902350] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[ 0.902579] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[ 0.902595] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff]
[ 0.902606] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff pref]
[ 0.902617] pci 0000:00:02.0: reg 0x20: [io 0x5050-0x5057]
[ 0.902844] pci 0000:00:13.0: [8086:0f21] type 00 class 0x01018f
[ 0.902865] pci 0000:00:13.0: reg 0x10: [io 0x5048-0x504f]
[ 0.902875] pci 0000:00:13.0: reg 0x14: [io 0x505c-0x505f]
[ 0.902885] pci 0000:00:13.0: reg 0x18: [io 0x5040-0x5047]
[ 0.902895] pci 0000:00:13.0: reg 0x1c: [io 0x5058-0x505b]
[ 0.902904] pci 0000:00:13.0: reg 0x20: [io 0x5030-0x503f]
[ 0.902914] pci 0000:00:13.0: reg 0x24: [io 0x5020-0x502f]
[ 0.903129] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[ 0.903151] pci 0000:00:14.0: reg 0x10: [mem 0xd0a00000-0xd0a0ffff 64bit]
[ 0.903215] pci 0000:00:14.0: PME# supported from D3hot D3cold
[ 0.903415] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[ 0.903446] pci 0000:00:1a.0: reg 0x10: [mem 0xd0900000-0xd09fffff]
[ 0.903459] pci 0000:00:1a.0: reg 0x14: [mem 0xd0800000-0xd08fffff]
[ 0.903565] pci 0000:00:1a.0: PME# supported from D0 D3hot
[ 0.903760] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[ 0.903787] pci 0000:00:1b.0: reg 0x10: [mem 0xd0a10000-0xd0a13fff 64bit]
[ 0.903862] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[ 0.904052] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[ 0.904124] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[ 0.904320] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[ 0.904391] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[ 0.904587] pci 0000:00:1c.2: [8086:0f4c] type 01 class 0x060400
[ 0.904658] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[ 0.904856] pci 0000:00:1c.3: [8086:0f4e] type 01 class 0x060400
[ 0.904927] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[ 0.905130] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[ 0.905389] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[ 0.905433] pci 0000:00:1f.3: reg 0x10: [mem 0xd0a15000-0xd0a1501f]
[ 0.905504] pci 0000:00:1f.3: reg 0x20: [io 0x5000-0x501f]
[ 0.905877] pci 0000:01:00.0: [8086:1539] type 00 class 0x020000
[ 0.905915] pci 0000:01:00.0: reg 0x10: [mem 0xd0700000-0xd071ffff]
[ 0.905944] pci 0000:01:00.0: reg 0x18: [io 0x4000-0x401f]
[ 0.905959] pci 0000:01:00.0: reg 0x1c: [mem 0xd0720000-0xd0723fff]
[ 0.906100] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[ 0.906147] pci 0000:01:00.0: 2.000 Gb/s available PCIe bandwidth, limited by 2.5 GT/s x1 link at 0000:00:1c.0 (capable of 7.876 Gb/s with 8 GT/s x1 link)
[ 0.906272] pci 0000:00:1c.0: PCI bridge to [bus 01]
[ 0.906277] pci 0000:00:1c.0: bridge window [io 0x4000-0x4fff]
[ 0.906282] pci 0000:00:1c.0: bridge window [mem 0xd0700000-0xd07fffff]
[ 0.906389] pci 0000:02:00.0: [8086:1539] type 00 class 0x020000
[ 0.906427] pci 0000:02:00.0: reg 0x10: [mem 0xd0600000-0xd061ffff]
[ 0.906456] pci 0000:02:00.0: reg 0x18: [io 0x3000-0x301f]
[ 0.906471] pci 0000:02:00.0: reg 0x1c: [mem 0xd0620000-0xd0623fff]
[ 0.906612] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[ 0.906658] pci 0000:02:00.0: 2.000 Gb/s available PCIe bandwidth, limited by 2.5 GT/s x1 link at 0000:00:1c.1 (capable of 7.876 Gb/s with 8 GT/s x1 link)
[ 0.906784] pci 0000:00:1c.1: PCI bridge to [bus 02]
[ 0.906789] pci 0000:00:1c.1: bridge window [io 0x3000-0x3fff]
[ 0.906793] pci 0000:00:1c.1: bridge window [mem 0xd0600000-0xd06fffff]
[ 0.906896] pci 0000:03:00.0: [8086:1539] type 00 class 0x020000
[ 0.906935] pci 0000:03:00.0: reg 0x10: [mem 0xd0500000-0xd051ffff]
[ 0.906963] pci 0000:03:00.0: reg 0x18: [io 0x2000-0x201f]
[ 0.906979] pci 0000:03:00.0: reg 0x1c: [mem 0xd0520000-0xd0523fff]
[ 0.907119] pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
[ 0.907165] pci 0000:03:00.0: 2.000 Gb/s available PCIe bandwidth, limited by 2.5 GT/s x1 link at 0000:00:1c.2 (capable of 7.876 Gb/s with 8 GT/s x1 link)
[ 0.907290] pci 0000:00:1c.2: PCI bridge to [bus 03]
[ 0.907295] pci 0000:00:1c.2: bridge window [io 0x2000-0x2fff]
[ 0.907299] pci 0000:00:1c.2: bridge window [mem 0xd0500000-0xd05fffff]
[ 0.907403] pci 0000:04:00.0: [8086:1539] type 00 class 0x020000
[ 0.907441] pci 0000:04:00.0: reg 0x10: [mem 0xd0400000-0xd041ffff]
[ 0.907470] pci 0000:04:00.0: reg 0x18: [io 0x1000-0x101f]
[ 0.907485] pci 0000:04:00.0: reg 0x1c: [mem 0xd0420000-0xd0423fff]
[ 0.907626] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
[ 0.907672] pci 0000:04:00.0: 2.000 Gb/s available PCIe bandwidth, limited by 2.5 GT/s x1 link at 0000:00:1c.3 (capable of 7.876 Gb/s with 8 GT/s x1 link)
[ 0.907799] pci 0000:00:1c.3: PCI bridge to [bus 04]
[ 0.907804] pci 0000:00:1c.3: bridge window [io 0x1000-0x1fff]
[ 0.907809] pci 0000:00:1c.3: bridge window [mem 0xd0400000-0xd04fffff]
[ 0.912842] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.913081] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[ 0.913317] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.913554] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 *10 11 12 14 15)
[ 0.913790] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.914026] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.914263] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.914499] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.918538] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[ 0.918538] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[ 0.918538] pci 0000:00:02.0: vgaarb: bridge control possible
[ 0.918538] vgaarb: loaded
[ 0.918604] SCSI subsystem initialized
[ 0.918604] libata version 3.00 loaded.
[ 0.918604] ACPI: bus type USB registered
[ 0.918604] usbcore: registered new interface driver usbfs
[ 0.918604] usbcore: registered new interface driver hub
[ 0.918604] usbcore: registered new device driver usb
[ 0.918604] EDAC MC: Ver: 3.0.0
[ 0.918604] PCI: Using ACPI for IRQ routing
[ 0.918604] PCI: pci_cache_line_size set to 64 bytes
[ 0.918604] e820: reserve RAM buffer [mem 0x0009e800-0x0009ffff]
[ 0.918604] e820: reserve RAM buffer [mem 0xb8919000-0xbbffffff]
[ 0.918604] e820: reserve RAM buffer [mem 0xba000000-0xbbffffff]
[ 0.922259] clocksource: Switched to clocksource tsc-early
[ 0.922467] pnp: PnP ACPI init
[ 0.922585] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[ 0.922769] system 00:01: [io 0x0680-0x069f] has been reserved
[ 0.922774] system 00:01: [io 0x0400-0x047f] has been reserved
[ 0.922777] system 00:01: [io 0x0500-0x05fe] has been reserved
[ 0.922782] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[ 0.922801] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.923671] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[ 0.924363] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
[ 0.924363] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[ 0.924363] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[ 0.924363] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[ 0.924363] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[ 0.924363] system 00:04: [mem 0xfed0c000-0xfed0ffff] has been reserved
[ 0.924363] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[ 0.924363] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[ 0.924363] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[ 0.924363] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[ 0.924365] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.928034] pnp: PnP ACPI: found 5 devices
[ 0.938053] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[ 0.938100] pci 0000:00:1c.0: PCI bridge to [bus 01]
[ 0.938105] pci 0000:00:1c.0: bridge window [io 0x4000-0x4fff]
[ 0.938111] pci 0000:00:1c.0: bridge window [mem 0xd0700000-0xd07fffff]
[ 0.938119] pci 0000:00:1c.1: PCI bridge to [bus 02]
[ 0.938123] pci 0000:00:1c.1: bridge window [io 0x3000-0x3fff]
[ 0.938128] pci 0000:00:1c.1: bridge window [mem 0xd0600000-0xd06fffff]
[ 0.938136] pci 0000:00:1c.2: PCI bridge to [bus 03]
[ 0.938139] pci 0000:00:1c.2: bridge window [io 0x2000-0x2fff]
[ 0.938144] pci 0000:00:1c.2: bridge window [mem 0xd0500000-0xd05fffff]
[ 0.938152] pci 0000:00:1c.3: PCI bridge to [bus 04]
[ 0.938155] pci 0000:00:1c.3: bridge window [io 0x1000-0x1fff]
[ 0.938160] pci 0000:00:1c.3: bridge window [mem 0xd0400000-0xd04fffff]
[ 0.938169] pci_bus 0000:00: resource 4 [io 0x0070-0x0077]
[ 0.938172] pci_bus 0000:00: resource 5 [io 0x0000-0x006f window]
[ 0.938176] pci_bus 0000:00: resource 6 [io 0x0078-0x0cf7 window]
[ 0.938179] pci_bus 0000:00: resource 7 [io 0x0d00-0xffff window]
[ 0.938182] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[ 0.938185] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[ 0.938188] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[ 0.938191] pci_bus 0000:00: resource 11 [mem 0xc0000000-0xd0affffe window]
[ 0.938195] pci_bus 0000:00: resource 12 [mem 0x140000000-0x53fffffff window]
[ 0.938198] pci_bus 0000:01: resource 0 [io 0x4000-0x4fff]
[ 0.938201] pci_bus 0000:01: resource 1 [mem 0xd0700000-0xd07fffff]
[ 0.938204] pci_bus 0000:02: resource 0 [io 0x3000-0x3fff]
[ 0.938207] pci_bus 0000:02: resource 1 [mem 0xd0600000-0xd06fffff]
[ 0.938210] pci_bus 0000:03: resource 0 [io 0x2000-0x2fff]
[ 0.938213] pci_bus 0000:03: resource 1 [mem 0xd0500000-0xd05fffff]
[ 0.938216] pci_bus 0000:04: resource 0 [io 0x1000-0x1fff]
[ 0.938219] pci_bus 0000:04: resource 1 [mem 0xd0400000-0xd04fffff]
[ 0.938417] NET: Registered protocol family 2
[ 0.938743] tcp_listen_portaddr_hash hash table entries: 2048 (order: 3, 32768 bytes)
[ 0.938787] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.938926] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[ 0.939081] TCP: Hash tables configured (established 32768 bind 32768)
[ 0.939174] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[ 0.939220] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[ 0.939349] NET: Registered protocol family 1
[ 0.939381] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[ 0.939844] PCI: CLS 64 bytes, default 64
[ 0.939939] Trying to unpack rootfs image as initramfs...
[ 1.807908] Freeing initrd memory: 31612K
[ 1.808010] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[ 1.808013] software IO TLB: mapped [mem 0xb4919000-0xb8919000] (64MB)
[ 1.808241] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[ 1.808277] clocksource: Switched to clocksource tsc
[ 1.808352] Scanning for low memory corruption every 60 seconds
[ 1.809126] Initialise system trusted keyrings
[ 1.809226] workingset: timestamp_bits=40 max_order=20 bucket_order=0
[ 1.813614] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 1.813660] pstore: using deflate compression
[ 1.814808] Key type asymmetric registered
[ 1.814811] Asymmetric key parser 'x509' registered
[ 1.814839] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[ 1.814842] io scheduler noop registered
[ 1.814843] io scheduler deadline registered
[ 1.814919] io scheduler cfq registered (default)
[ 1.814922] io scheduler mq-deadline registered
[ 1.814924] io scheduler kyber registered
[ 1.816076] intel_idle: MWAIT substates: 0x33000020
[ 1.816079] intel_idle: v0.4.1 model 0x37
[ 1.816481] intel_idle: lapic_timer_reliable_states 0xffffffff
[ 1.820626] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[ 1.841378] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[ 1.862241] 00:03: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[ 1.863712] hpet: number irqs doesn't agree with number of timers
[ 1.872744] brd: module loaded
[ 1.872958] libphy: Fixed MDIO Bus: probed
[ 1.872970] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 1.872979] ehci-pci: EHCI PCI platform driver
[ 1.873016] uhci_hcd: USB Universal Host Controller Interface driver
[ 1.873328] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 1.873340] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[ 1.874418] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000000009810
[ 1.874425] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[ 1.875042] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.19
[ 1.875046] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.875049] usb usb1: Product: xHCI Host Controller
[ 1.875051] usb usb1: Manufacturer: Linux 4.19.0-amd64-vyos xhci-hcd
[ 1.875054] usb usb1: SerialNumber: 0000:00:14.0
[ 1.875669] hub 1-0:1.0: USB hub found
[ 1.875873] hub 1-0:1.0: 6 ports detected
[ 1.877119] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 1.877130] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[ 1.877138] xhci_hcd 0000:00:14.0: Host supports USB 3.0 SuperSpeed
[ 1.877304] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.19
[ 1.877308] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.877311] usb usb2: Product: xHCI Host Controller
[ 1.877314] usb usb2: Manufacturer: Linux 4.19.0-amd64-vyos xhci-hcd
[ 1.877316] usb usb2: SerialNumber: 0000:00:14.0
[ 1.877554] hub 2-0:1.0: USB hub found
[ 1.877579] hub 2-0:1.0: 1 port detected
[ 1.877959] usbcore: registered new interface driver usbserial_generic
[ 1.877973] usbserial: USB Serial support registered for generic
[ 1.878034] i8042: PNP: No PS/2 controller found.
[ 1.878035] i8042: Probing ports directly.
[ 1.878498] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 1.878509] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 1.878609] rtc_cmos 00:00: RTC can wake from S4
[ 1.878835] rtc_cmos 00:00: registered as rtc0
[ 1.878875] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[ 1.878904] intel_pstate: Intel P-state driver initializing
[ 1.879432] No iBFT detected.
[ 1.879675] NET: Registered protocol family 17
[ 1.879691] Key type dns_resolver registered
[ 1.880080] microcode: sig=0x30678, pf=0x4, revision=0x815
[ 1.880164] microcode: Microcode Update Driver: v2.2.
[ 1.880182] sched_clock: Marking stable (1886513908, -6363362)->(1886174609, -6024063)
[ 1.881053] registered taskstats version 1
[ 1.881055] Loading compiled-in X.509 certificates
[ 1.882071] rtc_cmos 00:00: setting system clock to 2019-01-06 19:06:22 UTC (1546801582)
[ 1.884723] Freeing unused kernel image memory: 1036K
[ 1.932259] Write protecting the kernel read-only data: 12288k
[ 1.935416] Freeing unused kernel image memory: 2024K
[ 1.936161] Freeing unused kernel image memory: 136K
[ 1.936166] Run /init as init process
[ 1.966990] systemd-udevd[850]: starting version 215
[ 1.968114] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[ 2.006999] thermal LNXTHERM:00: registered as thermal_zone0
[ 2.007003] ACPI: Thermal Zone [TZ01] (33 C)
[ 2.007456] ata_piix 0000:00:13.0: version 2.13
[ 2.007622] ata_piix 0000:00:13.0: MAP [ P0 -- P1 -- ]
[ 2.010307] pps_core: LinuxPPS API ver. 1 registered
[ 2.010310] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[ 2.010722] PTP clock support registered
[ 2.011049] dca service started, version 1.12.1
[ 2.012012] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[ 2.014951] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[ 2.014954] igb: Copyright (c) 2007-2014 Intel Corporation.
[ 2.046728] pps pps0: new PPS source ptp0
[ 2.046733] igb 0000:01:00.0: added PHC on eth0
[ 2.046735] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.046738] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce
[ 2.046741] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF
[ 2.046743] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 2.047614] igb: probe of 0000:02:00.0 failed with error -2
[ 2.048371] igb: probe of 0000:03:00.0 failed with error -2
[ 2.049126] igb: probe of 0000:04:00.0 failed with error -2
[ 2.171784] ata_piix 0000:00:13.0: SCR access via SIDPR is available but doesn't work
[ 2.173717] scsi host0: ata_piix
[ 2.175155] scsi host1: ata_piix
[ 2.175283] ata1: SATA max UDMA/133 cmd 0x5048 ctl 0x505c bmdma 0x5030 irq 19
[ 2.175287] ata2: SATA max UDMA/133 cmd 0x5040 ctl 0x5058 bmdma 0x5038 irq 19
[ 2.242002] usb 1-4: new high-speed USB device number 2 using xhci_hcd
[ 2.353072] ata2.00: ATA-8: mSATA mini 3ME3, S16425, max UDMA/133
[ 2.353075] ata2.00: 15649200 sectors, multi 1: LBA48 NCQ (depth 0/32)
[ 2.354230] scsi 1:0:0:0: Direct-Access ATA mSATA mini 3ME3 25 PQ: 0 ANSI: 5
[ 2.354699] sd 1:0:0:0: Attached scsi generic sg0 type 0
[ 2.354938] sd 1:0:0:0: [sda] 15649200 512-byte logical blocks: (8.01 GB/7.46 GiB)
[ 2.354965] sd 1:0:0:0: [sda] Write Protect is off
[ 2.354968] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 2.355014] sd 1:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2.357833] sda: sda1
[ 2.359639] sd 1:0:0:0: [sda] Attached SCSI disk
[ 2.424434] usb 1-4: New USB device found, idVendor=14cd, idProduct=8601, bcdDevice= 0.00
[ 2.424439] usb 1-4: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[ 2.424443] usb 1-4: Product: USB 2.0 Hub
[ 2.424445] usb 1-4: Manufacturer: USB Device
[ 2.425556] hub 1-4:1.0: USB hub found
[ 2.425629] hub 1-4:1.0: 4 ports detected
[ 2.623621] random: fast init done
[ 2.630025] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[ 2.674325] loop: module loaded
[ 2.777107] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 2.781180] usbcore: registered new interface driver usb-storage
[ 8.055937] EXT4-fs (sda1): re-mounted. Opts: (null)
[ 8.812112] random: systemd: uninitialized urandom read (16 bytes read)
[ 8.831545] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ -SECCOMP -APPARMOR)
[ 8.862362] systemd[1]: Detected architecture 'x86-64'.
[ 8.939530] systemd[1]: Inserted module 'autofs4'
[ 8.986078] NET: Registered protocol family 10
[ 9.014582] Segment Routing with IPv6
[ 9.016022] systemd[1]: Inserted module 'ipv6'
[ 9.021422] systemd[1]: Set hostname to <localhost.localdomain>.
[ 9.021855] random: systemd: uninitialized urandom read (16 bytes read)
[ 9.021869] systemd[1]: Initializing machine ID from random generator.
[ 9.105839] random: systemd-sysv-ge: uninitialized urandom read (16 bytes read)
[ 9.345825] systemd[1]: Cannot add dependency job for unit display-manager.service, ignoring: Unit display-manager.service failed to load: No such file or directory.
[ 9.346523] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[ 9.346657] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[ 9.346678] systemd[1]: Expecting device dev-ttyS0.device...
[ 13.998490] systemd-udevd[1361]: starting version 215
[ 14.393150] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input4
[ 14.393167] ACPI: Power Button [PWRB]
[ 14.393278] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[ 14.393963] ACPI: Power Button [PWRF]
[ 14.427679] input: PC Speaker as /devices/platform/pcspkr/input/input6
[ 14.438647] cryptd: max_cpu_qlen set to 1000
[ 14.530152] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[ 14.530232] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[ 14.530411] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[ 14.776077] systemd-journald[1258]: Received request to flush runtime journal from PID 1
[ 15.610456] fuse init (API version 7.27)
[ 16.294492] Process accounting resumed
[ 16.394368] random: crng init done
[ 16.394373] random: 6 urandom warning(s) missed due to ratelimiting
[ 90.893350] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 93.911712] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 93.912301] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

c-po added a comment.Jan 6 2019, 7:30 PM

It also reports:

[ 2.014951] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[ 2.014954] igb: Copyright (c) 2007-2014 Intel Corporation.
[ 2.046728] pps pps0: new PPS source ptp0
[ 2.046733] igb 0000:01:00.0: added PHC on eth0
[ 2.046735] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.046738] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce
[ 2.046741] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF
[ 2.046743] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 2.047614] igb: probe of 0000:02:00.0 failed with error -2
[ 2.048371] igb: probe of 0000:03:00.0 failed with error -2
[ 2.049126] igb: probe of 0000:04:00.0 failed with error -2

so it's not working with rc6 either it seems

SteveP added a comment.Jan 6 2019, 8:42 PM

No, RC5 is the last one I can use

c-po added a comment.Jan 6 2019, 9:09 PM

Can you share the dmesg output from RC5 please?

SteveP added a comment.Jan 7 2019, 5:30 AM

[ 0.000000] Linux version 4.14.75-amd64-vyos (jenkins@jessiedevel) (gcc version 4.9.2 (Debian 4.9.2-10+deb8u1)) #31 SMP Sun Oct 28 21:46:14 CET 2018
[ 0.000000] Command line: BOOT_IMAGE=/boot/1.2.0-rc5/vmlinuz boot=live quiet vyos-union=/boot/1.2.0-rc5 console=ttyS0,9600 console=tty0
[ 0.000000] x86/fpu: x87 FPU will use FXSAVE
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009e7ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009e800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b8918fff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000b8919000-0x00000000b8f18fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000b8f19000-0x00000000b9118fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000b9119000-0x00000000b9158fff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000b9159000-0x00000000b9ffffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000ba000000-0x00000000ba7fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000bae00000-0x00000000bfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed03000-0x00000000fed03fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed08fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed0c000-0x00000000fed0ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1cfff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fef00000-0x00000000feffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ffd00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000013fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.7 present.
[ 0.000000] DMI: Lex BayTrail 3I380D D1 /3I380D D1 , BIOS 3I380D D3 11/09/2015
[ 0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.000000] e820: last_pfn = 0x140000 max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 0FFD00000 mask FFFC00000 write-protect
[ 0.000000] 1 base 000000000 mask F80000000 write-back
[ 0.000000] 2 base 080000000 mask FC0000000 write-back
[ 0.000000] 3 base 0BC000000 mask FFC000000 uncachable
[ 0.000000] 4 base 0BB000000 mask FFF000000 uncachable
[ 0.000000] 5 base 0BAE00000 mask FFFE00000 uncachable
[ 0.000000] 6 base 100000000 mask FC0000000 write-back
[ 0.000000] 7 disabled
[ 0.000000] x86/PAT: Configuration [0-7]: WB WC UC- UC WB WP UC- WT
[ 0.000000] e820: last_pfn = 0xba000 max_arch_pfn = 0x400000000
[ 0.000000] found SMP MP-table at [mem 0x000fe1c0-0x000fe1cf] mapped at [ffffffffff2001c0]
[ 0.000000] Scanning 1 areas for low memory corruption
[ 0.000000] Base memory trampoline at [ffff880000098000] 98000 size 24576
[ 0.000000] BRK [0x01fd0000, 0x01fd0fff] PGTABLE
[ 0.000000] BRK [0x01fd1000, 0x01fd1fff] PGTABLE
[ 0.000000] BRK [0x01fd2000, 0x01fd2fff] PGTABLE
[ 0.000000] BRK [0x01fd3000, 0x01fd3fff] PGTABLE
[ 0.000000] BRK [0x01fd4000, 0x01fd4fff] PGTABLE
[ 0.000000] RAMDISK: [mem 0x33c0e000-0x35dfefff]
[ 0.000000] ACPI: Early table checksum verification disabled
[ 0.000000] ACPI: RSDP 0x00000000000FE020 000024 (v02 INSYDE)
[ 0.000000] ACPI: XSDT 0x00000000B9158120 0000A4 (v01 INSYDE INSYDE 00000003 01000013)
[ 0.000000] ACPI: FACP 0x00000000B9155000 00010C (v05 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: DSDT 0x00000000B9144000 009F79 (v02 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: FACS 0x00000000B90D2000 000040
[ 0.000000] ACPI: UEFI 0x00000000B9157000 000236 (v01 INSYDE INSYDE 00000001 ACPI 00040000)
[ 0.000000] ACPI: HPET 0x00000000B9154000 000038 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: LPIT 0x00000000B9153000 000104 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: APIC 0x00000000B9152000 000084 (v03 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: MCFG 0x00000000B9151000 00003C (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: SLIC 0x00000000B9150000 000176 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: WDAT 0x00000000B914F000 0001C4 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: WDRT 0x00000000B914E000 000047 (v01 INSYDE INSYDE 00000003 ACPI 00040000)
[ 0.000000] ACPI: SSDT 0x00000000B9143000 000763 (v01 INSYDE CpuPm 00003000 ACPI 00040000)
[ 0.000000] ACPI: SSDT 0x00000000B9142000 000290 (v01 INSYDE Cpu0Tst 00003000 ACPI 00040000)
[ 0.000000] ACPI: SSDT 0x00000000B9141000 00017A (v01 INSYDE ApTst 00003000 ACPI 00040000)
[ 0.000000] ACPI: UEFI 0x00000000B9140000 000042 (v01 INSYDE INSYDE 00000000 ACPI 00040000)
[ 0.000000] ACPI: SSDT 0x00000000B913F000 00065B (v01 INSYDE SIOACPI 00001000 ACPI 00040000)
[ 0.000000] ACPI: SSDT 0x00000000B913E000 00022B (v01 INSYDE IsctTabl 00001000 ACPI 00040000)
[ 0.000000] ACPI: FPDT 0x00000000B913D000 000044 (v01 INSYDE INSYDE 00000002 ACPI 00040000)
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] No NUMA configuration found
[ 0.000000] Faking a node at [mem 0x0000000000000000-0x000000013fffffff]
[ 0.000000] NODE_DATA(0) allocated [mem 0x13fff9000-0x13fffcfff]
[ 0.000000] Zone ranges:
[ 0.000000] DMA [mem 0x0000000000001000-0x0000000000ffffff]
[ 0.000000] DMA32 [mem 0x0000000001000000-0x00000000ffffffff]
[ 0.000000] Normal [mem 0x0000000100000000-0x000000013fffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x0000000000001000-0x000000000009dfff]
[ 0.000000] node 0: [mem 0x0000000000100000-0x00000000b8918fff]
[ 0.000000] node 0: [mem 0x00000000b9159000-0x00000000b9ffffff]
[ 0.000000] node 0: [mem 0x0000000100000000-0x000000013fffffff]
[ 0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000013fffffff]
[ 0.000000] On node 0 totalpages: 1021789
[ 0.000000] DMA zone: 64 pages used for memmap
[ 0.000000] DMA zone: 21 pages reserved
[ 0.000000] DMA zone: 3997 pages, LIFO batch:0
[ 0.000000] DMA32 zone: 11807 pages used for memmap
[ 0.000000] DMA32 zone: 755648 pages, LIFO batch:31
[ 0.000000] Normal zone: 4096 pages used for memmap
[ 0.000000] Normal zone: 262144 pages, LIFO batch:31
[ 0.000000] x86/hpet: Will disable the HPET for this platform because it's not reliable
[ 0.000000] Reserving Intel graphics memory at 0x00000000bb000000-0x00000000beffffff
[ 0.000000] ACPI: PM-Timer IO Port: 0x408
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[ 0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ9 used by override.
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.000000] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[ 0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[ 0.000000] PM: Registered nosave memory: [mem 0x0009e000-0x0009efff]
[ 0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[ 0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000dffff]
[ 0.000000] PM: Registered nosave memory: [mem 0x000e0000-0x000fffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xb8919000-0xb8f18fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xb8f19000-0xb9118fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xb9119000-0xb9158fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xba000000-0xba7fffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xba800000-0xbadfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xbae00000-0xbfffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xc0000000-0xdfffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xe3ffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xe4000000-0xfebfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfed00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed01000-0xfed01fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed02000-0xfed02fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed03000-0xfed03fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed04000-0xfed07fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed08000-0xfed08fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed09000-0xfed0bfff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed0c000-0xfed0ffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed10000-0xfed1bfff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed1c000-0xfed1cfff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfed1d000-0xfedfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xfeefffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xfef00000-0xfeffffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xff000000-0xffcfffff]
[ 0.000000] PM: Registered nosave memory: [mem 0xffd00000-0xffffffff]
[ 0.000000] e820: [mem 0xc0000000-0xdfffffff] available for PCI devices
[ 0.000000] Booting paravirtualized kernel on bare hardware
[ 0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[ 0.000000] setup_percpu: NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:4 nr_node_ids:1
[ 0.000000] percpu: Embedded 43 pages/cpu @ffff88013fc00000 s138008 r8192 d29928 u524288
[ 0.000000] pcpu-alloc: s138008 r8192 d29928 u524288 alloc=1*2097152
[ 0.000000] pcpu-alloc: [0] 0 1 2 3
[ 0.000000] Built 1 zonelists, mobility grouping on. Total pages: 1005801
[ 0.000000] Policy zone: Normal
[ 0.000000] Kernel command line: BOOT_IMAGE=/boot/1.2.0-rc5/vmlinuz boot=live quiet vyos-union=/boot/1.2.0-rc5 console=ttyS0,9600 console=tty0
[ 0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.000000] Memory: 3903804K/4087156K available (8204K kernel code, 707K rwdata, 1920K rodata, 1020K init, 428K bss, 183352K reserved, 0K cma-reserved)
[ 0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU restricting CPUs from NR_CPUS=64 to nr_cpu_ids=4.
[ 0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[ 0.000000] NR_IRQS: 4352, nr_irqs: 1024, preallocated irqs: 16
[ 0.000000] Console: colour VGA+ 80x25
[ 0.000000] console [tty0] enabled
[ 0.000000] console [ttyS0] enabled
[ 0.010000] tsc: Detected 1999.200 MHz processor
[ 0.010000] Calibrating delay loop (skipped), value calculated using timer frequency.. 3998.40 BogoMIPS (lpj=19992000)
[ 0.010000] pid_max: default: 32768 minimum: 301
[ 0.010000] ACPI: Core revision 20170728
[ 0.033801] ACPI: 6 ACPI AML tables successfully acquired and loaded
[ 0.033851] Security Framework initialized
[ 0.035475] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[ 0.036326] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[ 0.036384] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[ 0.036415] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[ 0.036820] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[ 0.036823] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[ 0.036836] mce: CPU supports 6 MCE banks
[ 0.036847] process: using mwait in idle threads
[ 0.036853] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[ 0.036855] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[ 0.036860] Spectre V2 : Mitigation: Full generic retpoline
[ 0.036862] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[ 0.037134] Freeing SMP alternatives memory: 16K
[ 0.040142] smpboot: Max logical packages: 1
[ 0.041099] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.149123] TSC deadline timer enabled
[ 0.149126] smpboot: CPU0: Intel(R) Celeron(R) CPU J1900 @ 1.99GHz (family: 0x6, model: 0x37, stepping: 0x8)
[ 0.149299] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, 8-deep LBR, full-width counters, Intel PMU driver.
[ 0.149319] ... version: 3
[ 0.149321] ... bit width: 40
[ 0.149322] ... generic registers: 2
[ 0.149324] ... value mask: 000000ffffffffff
[ 0.149325] ... max period: 0000007fffffffff
[ 0.149327] ... fixed-purpose events: 3
[ 0.149328] ... event mask: 0000000700000003
[ 0.149409] Hierarchical SRCU implementation.
[ 0.150000] smp: Bringing up secondary CPUs ...
[ 0.150000] x86: Booting SMP configuration:
[ 0.150000] .... node #0, CPUs: #1 #2 #3
[ 0.150000] smp: Brought up 1 node, 4 CPUs
[ 0.150000] smpboot: Total of 4 processors activated (15993.60 BogoMIPS)
[ 0.150000] devtmpfs: initialized
[ 0.150000] x86/mm: Memory block size: 128MB
[ 0.150000] PM: Registering ACPI NVS region [mem 0xb8f19000-0xb9118fff] (2097152 bytes)
[ 0.150000] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[ 0.150000] futex hash table entries: 1024 (order: 4, 65536 bytes)
[ 0.150000] NET: Registered protocol family 16
[ 0.150000] cpuidle: using governor ladder
[ 0.150000] cpuidle: using governor menu
[ 0.150000] random: get_random_bytes called from kcmp_cookies_init+0x11/0x33 with crng_init=0
[ 0.150000] ACPI: bus type PCI registered
[ 0.150000] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[ 0.150000] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[ 0.150000] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in E820
[ 0.150000] PCI: Using configuration type 1 for base access
[ 0.153295] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[ 0.153396] ACPI: Added _OSI(Module Device)
[ 0.153396] ACPI: Added _OSI(Processor Device)
[ 0.153396] ACPI: Added _OSI(3.0 _SCP Extensions)
[ 0.153396] ACPI: Added _OSI(Processor Aggregator Device)
[ 0.163448] ACPI: Dynamic OEM Table Load:
[ 0.163448] ACPI: SSDT 0xFFFF88013A619000 0003BC (v01 PmRef Cpu0Ist 00003000 INTL 20130117)
[ 0.163448] ACPI: Dynamic OEM Table Load:
[ 0.163448] ACPI: SSDT 0xFFFF88013ABA0800 000433 (v01 PmRef Cpu0Cst 00003001 INTL 20130117)
[ 0.170856] ACPI: Dynamic OEM Table Load:
[ 0.170868] ACPI: SSDT 0xFFFF88013A608400 00015F (v01 PmRef ApIst 00003000 INTL 20130117)
[ 0.171230] ACPI: Dynamic OEM Table Load:
[ 0.171230] ACPI: SSDT 0xFFFF88013ABD6A80 00008D (v01 PmRef ApCst 00003000 INTL 20130117)
[ 0.172660] ACPI: Interpreter enabled
[ 0.172694] ACPI: (supports S0 S5)
[ 0.172697] ACPI: Using IOAPIC for interrupt routing
[ 0.172786] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[ 0.173715] ACPI: GPE 0x02 active on init
[ 0.173749] ACPI: Enabled 6 GPEs in block 00 to 3F
[ 0.182325] ACPI: Power Resource [USBC] (on)
[ 0.191042] ACPI: Power Resource [PLPE] (on)
[ 0.191873] ACPI: Power Resource [PLPE] (on)
[ 0.210036] ACPI: Power Resource [CLK0] (on)
[ 0.210036] ACPI: Power Resource [CLK1] (on)
[ 0.213069] ACPI: Power Resource [FN00] (off)
[ 0.214759] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 0.214771] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[ 0.690163] ACPI: Dynamic OEM Table Load:
[ 0.690178] ACPI: SSDT 0xFFFF88013AB75380 00007B (v01 Insyde ACPI5P0 00001000 INTL 20130117)
[ 0.690465] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM
[ 0.690465] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[ 0.690472] PCI host bridge to bus 0000:00
[ 0.690472] pci_bus 0000:00: root bus resource [io 0x0070-0x0077]
[ 0.690472] pci_bus 0000:00: root bus resource [io 0x0000-0x006f window]
[ 0.690472] pci_bus 0000:00: root bus resource [io 0x0078-0x0cf7 window]
[ 0.690472] pci_bus 0000:00: root bus resource [io 0x0d00-0xffff window]
[ 0.690472] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[ 0.690472] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[ 0.690472] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[ 0.690472] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xd0affffe window]
[ 0.690472] pci_bus 0000:00: root bus resource [mem 0x140000000-0x53fffffff window]
[ 0.690472] pci_bus 0000:00: root bus resource [bus 00-ff]
[ 0.690472] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[ 0.690643] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[ 0.690659] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff]
[ 0.690670] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff pref]
[ 0.690681] pci 0000:00:02.0: reg 0x20: [io 0x5050-0x5057]
[ 0.690898] pci 0000:00:13.0: [8086:0f21] type 00 class 0x01018f
[ 0.690919] pci 0000:00:13.0: reg 0x10: [io 0x5048-0x504f]
[ 0.690928] pci 0000:00:13.0: reg 0x14: [io 0x505c-0x505f]
[ 0.690938] pci 0000:00:13.0: reg 0x18: [io 0x5040-0x5047]
[ 0.690948] pci 0000:00:13.0: reg 0x1c: [io 0x5058-0x505b]
[ 0.690957] pci 0000:00:13.0: reg 0x20: [io 0x5030-0x503f]
[ 0.690967] pci 0000:00:13.0: reg 0x24: [io 0x5020-0x502f]
[ 0.691172] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[ 0.691194] pci 0000:00:14.0: reg 0x10: [mem 0xd0a00000-0xd0a0ffff 64bit]
[ 0.691257] pci 0000:00:14.0: PME# supported from D3hot D3cold
[ 0.691443] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[ 0.691473] pci 0000:00:1a.0: reg 0x10: [mem 0xd0900000-0xd09fffff]
[ 0.691487] pci 0000:00:1a.0: reg 0x14: [mem 0xd0800000-0xd08fffff]
[ 0.691593] pci 0000:00:1a.0: PME# supported from D0 D3hot
[ 0.691775] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[ 0.691801] pci 0000:00:1b.0: reg 0x10: [mem 0xd0a10000-0xd0a13fff 64bit]
[ 0.691876] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[ 0.692052] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[ 0.692123] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[ 0.692312] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[ 0.692382] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[ 0.692566] pci 0000:00:1c.2: [8086:0f4c] type 01 class 0x060400
[ 0.692635] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[ 0.692819] pci 0000:00:1c.3: [8086:0f4e] type 01 class 0x060400
[ 0.692888] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[ 0.693075] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[ 0.693327] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[ 0.693371] pci 0000:00:1f.3: reg 0x10: [mem 0xd0a15000-0xd0a1501f]
[ 0.693442] pci 0000:00:1f.3: reg 0x20: [io 0x5000-0x501f]
[ 0.693799] pci 0000:01:00.0: [8086:1539] type 00 class 0x020000
[ 0.693837] pci 0000:01:00.0: reg 0x10: [mem 0xd0700000-0xd071ffff]
[ 0.693865] pci 0000:01:00.0: reg 0x18: [io 0x4000-0x401f]
[ 0.693881] pci 0000:01:00.0: reg 0x1c: [mem 0xd0720000-0xd0723fff]
[ 0.694019] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[ 0.720030] pci 0000:00:1c.0: PCI bridge to [bus 01]
[ 0.720035] pci 0000:00:1c.0: bridge window [io 0x4000-0x4fff]
[ 0.720039] pci 0000:00:1c.0: bridge window [mem 0xd0700000-0xd07fffff]
[ 0.720146] pci 0000:02:00.0: [8086:1539] type 00 class 0x020000
[ 0.720184] pci 0000:02:00.0: reg 0x10: [mem 0xd0600000-0xd061ffff]
[ 0.720212] pci 0000:02:00.0: reg 0x18: [io 0x3000-0x301f]
[ 0.720227] pci 0000:02:00.0: reg 0x1c: [mem 0xd0620000-0xd0623fff]
[ 0.720365] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[ 0.750028] pci 0000:00:1c.1: PCI bridge to [bus 02]
[ 0.750033] pci 0000:00:1c.1: bridge window [io 0x3000-0x3fff]
[ 0.750038] pci 0000:00:1c.1: bridge window [mem 0xd0600000-0xd06fffff]
[ 0.750148] pci 0000:03:00.0: [8086:1539] type 00 class 0x020000
[ 0.750186] pci 0000:03:00.0: reg 0x10: [mem 0xd0500000-0xd051ffff]
[ 0.750214] pci 0000:03:00.0: reg 0x18: [io 0x2000-0x201f]
[ 0.750230] pci 0000:03:00.0: reg 0x1c: [mem 0xd0520000-0xd0523fff]
[ 0.750368] pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
[ 0.780031] pci 0000:00:1c.2: PCI bridge to [bus 03]
[ 0.780036] pci 0000:00:1c.2: bridge window [io 0x2000-0x2fff]
[ 0.780040] pci 0000:00:1c.2: bridge window [mem 0xd0500000-0xd05fffff]
[ 0.780147] pci 0000:04:00.0: [8086:1539] type 00 class 0x020000
[ 0.780185] pci 0000:04:00.0: reg 0x10: [mem 0xd0400000-0xd041ffff]
[ 0.780213] pci 0000:04:00.0: reg 0x18: [io 0x1000-0x101f]
[ 0.780229] pci 0000:04:00.0: reg 0x1c: [mem 0xd0420000-0xd0423fff]
[ 0.780367] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
[ 0.810031] pci 0000:00:1c.3: PCI bridge to [bus 04]
[ 0.810036] pci 0000:00:1c.3: bridge window [io 0x1000-0x1fff]
[ 0.810041] pci 0000:00:1c.3: bridge window [mem 0xd0400000-0xd04fffff]
[ 0.811894] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.812123] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[ 0.812349] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.812576] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 *10 11 12 14 15)
[ 0.812801] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.813026] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[ 0.813258] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.813485] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *7
[ 0.820174] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[ 0.820178] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[ 0.820189] pci 0000:00:02.0: vgaarb: bridge control possible
[ 0.820190] vgaarb: loaded
[ 0.820343] SCSI subsystem initialized
[ 0.820374] libata version 3.00 loaded.
[ 0.820374] ACPI: bus type USB registered
[ 0.820374] usbcore: registered new interface driver usbfs
[ 0.820374] usbcore: registered new interface driver hub
[ 0.820374] usbcore: registered new device driver usb
[ 0.820374] EDAC MC: Ver: 3.0.0
[ 0.820503] PCI: Using ACPI for IRQ routing
[ 0.821608] PCI: pci_cache_line_size set to 64 bytes
[ 0.821673] e820: reserve RAM buffer [mem 0x0009e800-0x0009ffff]
[ 0.821677] e820: reserve RAM buffer [mem 0xb8919000-0xbbffffff]
[ 0.821679] e820: reserve RAM buffer [mem 0xba000000-0xbbffffff]
[ 0.821930] clocksource: Switched to clocksource refined-jiffies
[ 0.821930] pnp: PnP ACPI init
[ 0.821930] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[ 0.821930] system 00:01: [io 0x0680-0x069f] has been reserved
[ 0.821930] system 00:01: [io 0x0400-0x047f] has been reserved
[ 0.821930] system 00:01: [io 0x0500-0x05fe] has been reserved
[ 0.821930] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[ 0.821930] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.822423] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[ 0.823079] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
[ 0.823999] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[ 0.824004] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[ 0.824007] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[ 0.824011] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[ 0.824014] system 00:04: [mem 0xfed0c000-0xfed0ffff] has been reserved
[ 0.824018] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[ 0.824022] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[ 0.824025] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[ 0.824029] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[ 0.824046] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.830023] pnp: PnP ACPI: found 5 devices
[ 0.841153] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[ 0.841195] clocksource: Switched to clocksource acpi_pm
[ 0.841239] pci 0000:00:1c.0: PCI bridge to [bus 01]
[ 0.841244] pci 0000:00:1c.0: bridge window [io 0x4000-0x4fff]
[ 0.841250] pci 0000:00:1c.0: bridge window [mem 0xd0700000-0xd07fffff]
[ 0.841258] pci 0000:00:1c.1: PCI bridge to [bus 02]
[ 0.841262] pci 0000:00:1c.1: bridge window [io 0x3000-0x3fff]
[ 0.841267] pci 0000:00:1c.1: bridge window [mem 0xd0600000-0xd06fffff]
[ 0.841275] pci 0000:00:1c.2: PCI bridge to [bus 03]
[ 0.841278] pci 0000:00:1c.2: bridge window [io 0x2000-0x2fff]
[ 0.841283] pci 0000:00:1c.2: bridge window [mem 0xd0500000-0xd05fffff]
[ 0.841291] pci 0000:00:1c.3: PCI bridge to [bus 04]
[ 0.841294] pci 0000:00:1c.3: bridge window [io 0x1000-0x1fff]
[ 0.841299] pci 0000:00:1c.3: bridge window [mem 0xd0400000-0xd04fffff]
[ 0.841308] pci_bus 0000:00: resource 4 [io 0x0070-0x0077]
[ 0.841311] pci_bus 0000:00: resource 5 [io 0x0000-0x006f window]
[ 0.841315] pci_bus 0000:00: resource 6 [io 0x0078-0x0cf7 window]
[ 0.841318] pci_bus 0000:00: resource 7 [io 0x0d00-0xffff window]
[ 0.841321] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[ 0.841324] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[ 0.841327] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[ 0.841330] pci_bus 0000:00: resource 11 [mem 0xc0000000-0xd0affffe window]
[ 0.841333] pci_bus 0000:00: resource 12 [mem 0x140000000-0x53fffffff window]
[ 0.841336] pci_bus 0000:01: resource 0 [io 0x4000-0x4fff]
[ 0.841339] pci_bus 0000:01: resource 1 [mem 0xd0700000-0xd07fffff]
[ 0.841343] pci_bus 0000:02: resource 0 [io 0x3000-0x3fff]
[ 0.841345] pci_bus 0000:02: resource 1 [mem 0xd0600000-0xd06fffff]
[ 0.841348] pci_bus 0000:03: resource 0 [io 0x2000-0x2fff]
[ 0.841351] pci_bus 0000:03: resource 1 [mem 0xd0500000-0xd05fffff]
[ 0.841354] pci_bus 0000:04: resource 0 [io 0x1000-0x1fff]
[ 0.841357] pci_bus 0000:04: resource 1 [mem 0xd0400000-0xd04fffff]
[ 0.841555] NET: Registered protocol family 2
[ 0.841843] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.841978] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[ 0.842133] TCP: Hash tables configured (established 32768 bind 32768)
[ 0.842219] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[ 0.842257] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[ 0.842379] NET: Registered protocol family 1
[ 0.842409] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[ 0.842836] PCI: CLS 64 bytes, default 64
[ 0.842951] Trying to unpack rootfs image as initramfs...
[ 1.777345] Freeing initrd memory: 34756K
[ 1.777452] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[ 1.777456] software IO TLB [mem 0xb4919000-0xb8919000] (64MB) mapped at [ffff8800b4919000-ffff8800b8918fff]
[ 1.777736] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[ 1.777772] clocksource: Switched to clocksource tsc
[ 1.777833] Scanning for low memory corruption every 60 seconds
[ 1.778364] audit: initializing netlink subsys (disabled)
[ 1.778445] audit: type=2000 audit(1546801011.777:1): state=initialized audit_enabled=0 res=1
[ 1.778762] workingset: timestamp_bits=40 max_order=20 bucket_order=0
[ 1.782147] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 1.783794] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[ 1.783798] io scheduler noop registered
[ 1.783800] io scheduler deadline registered
[ 1.783875] io scheduler cfq registered (default)
[ 1.783877] io scheduler mq-deadline registered
[ 1.783879] io scheduler kyber registered
[ 1.784968] intel_idle: MWAIT substates: 0x33000020
[ 1.784971] intel_idle: v0.4.1 model 0x37
[ 1.785323] intel_idle: lapic_timer_reliable_states 0xffffffff
[ 1.789567] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[ 1.810320] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[ 1.831666] 00:03: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[ 1.832397] hpet: number irqs doesn't agree with number of timers
[ 1.839197] brd: module loaded
[ 1.839344] libphy: Fixed MDIO Bus: probed
[ 1.839358] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 1.839365] ehci-pci: EHCI PCI platform driver
[ 1.839404] uhci_hcd: USB Universal Host Controller Interface driver
[ 1.839717] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 1.839737] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[ 1.840841] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x00009810
[ 1.840847] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[ 1.841316] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 1.841320] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.841323] usb usb1: Product: xHCI Host Controller
[ 1.841326] usb usb1: Manufacturer: Linux 4.14.75-amd64-vyos xhci-hcd
[ 1.841328] usb usb1: SerialNumber: 0000:00:14.0
[ 1.841641] hub 1-0:1.0: USB hub found
[ 1.841664] hub 1-0:1.0: 6 ports detected
[ 1.842722] xhci_hcd 0000:00:14.0: xHCI Host Controller
[ 1.842730] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[ 1.842737] xhci_hcd 0000:00:14.0: Host supports USB 3.0 SuperSpeed
[ 1.842845] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[ 1.842849] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 1.842852] usb usb2: Product: xHCI Host Controller
[ 1.842854] usb usb2: Manufacturer: Linux 4.14.75-amd64-vyos xhci-hcd
[ 1.842857] usb usb2: SerialNumber: 0000:00:14.0
[ 1.843092] hub 2-0:1.0: USB hub found
[ 1.843118] hub 2-0:1.0: 1 port detected
[ 1.843484] usbcore: registered new interface driver usbserial
[ 1.843499] usbcore: registered new interface driver usbserial_generic
[ 1.843520] usbserial: USB Serial support registered for generic
[ 1.843574] i8042: PNP: No PS/2 controller found.
[ 1.843576] i8042: Probing ports directly.
[ 1.844062] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 1.844074] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 1.844158] rtc_cmos 00:00: RTC can wake from S4
[ 1.844330] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[ 1.844366] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[ 1.844396] intel_pstate: Intel P-state driver initializing
[ 1.845093] No iBFT detected.
[ 1.845325] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 1.845330] NET: Registered protocol family 17
[ 1.845351] Key type dns_resolver registered
[ 1.845933] microcode: sig=0x30678, pf=0x4, revision=0x815
[ 1.846222] microcode: Microcode Update Driver: v2.2.
[ 1.846240] sched_clock: Marking stable (1846208970, 0)->(1847247802, -1038832)
[ 1.846702] registered taskstats version 1
[ 1.847260] rtc_cmos 00:00: setting system clock to 2019-01-06 18:56:52 UTC (1546801012)
[ 1.849375] Freeing unused kernel memory: 1020K
[ 1.890685] Write protecting the kernel read-only data: 12288k
[ 1.893834] Freeing unused kernel memory: 2020K
[ 1.896025] Freeing unused kernel memory: 128K
[ 1.924731] systemd-udevd[813]: starting version 215
[ 1.925846] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[ 1.960617] ata_piix 0000:00:13.0: version 2.13
[ 1.960721] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[ 1.963249] pps_core: LinuxPPS API ver. 1 registered
[ 1.963251] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[ 1.963724] PTP clock support registered
[ 1.964056] dca service started, version 1.12.1
[ 1.965854] ata_piix 0000:00:13.0: MAP [ P0 -- P1 -- ]
[ 1.966079] thermal LNXTHERM:00: registered as thermal_zone0
[ 1.966082] ACPI: Thermal Zone [TZ01] (33 C)
[ 1.967659] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[ 1.967662] igb: Copyright (c) 2007-2014 Intel Corporation.
[ 2.130351] ata_piix 0000:00:13.0: SCR access via SIDPR is available but doesn't work
[ 2.131195] scsi host0: ata_piix
[ 2.131775] scsi host1: ata_piix
[ 2.131858] ata1: SATA max UDMA/133 cmd 0x5048 ctl 0x505c bmdma 0x5030 irq 19
[ 2.131861] ata2: SATA max UDMA/133 cmd 0x5040 ctl 0x5058 bmdma 0x5038 irq 19
[ 2.132404] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[ 2.210203] usb 1-4: new high-speed USB device number 2 using xhci_hcd
[ 2.228083] pps pps0: new PPS source ptp0
[ 2.228088] igb 0000:01:00.0: added PHC on eth0
[ 2.228091] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.228094] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce
[ 2.228098] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF
[ 2.228101] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 2.311967] ata2.00: ATA-8: mSATA mini 3ME3, S16425, max UDMA/133
[ 2.311970] ata2.00: 15649200 sectors, multi 1: LBA48 NCQ (depth 0/32)
[ 2.312551] ata2.00: configured for UDMA/133
[ 2.313262] scsi 1:0:0:0: Direct-Access ATA mSATA mini 3ME3 25 PQ: 0 ANSI: 5
[ 2.313731] sd 1:0:0:0: Attached scsi generic sg0 type 0
[ 2.313953] sd 1:0:0:0: [sda] 15649200 512-byte logical blocks: (8.01 GB/7.46 GiB)
[ 2.313991] sd 1:0:0:0: [sda] Write Protect is off
[ 2.313995] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 2.314103] sd 1:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 2.315191] sda: sda1
[ 2.316448] sd 1:0:0:0: [sda] Attached SCSI disk
[ 2.402605] usb 1-4: New USB device found, idVendor=14cd, idProduct=8601
[ 2.402610] usb 1-4: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[ 2.402613] usb 1-4: Product: USB 2.0 Hub
[ 2.402615] usb 1-4: Manufacturer: USB Device
[ 2.404463] hub 1-4:1.0: USB hub found
[ 2.404570] hub 1-4:1.0: 4 ports detected
[ 2.485360] pps pps1: new PPS source ptp1
[ 2.485366] igb 0000:02:00.0: added PHC on eth1
[ 2.485368] igb 0000:02:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.485372] igb 0000:02:00.0: eth1: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:cf
[ 2.485375] igb 0000:02:00.0: eth1: PBA No: FFFFFF-0FF
[ 2.485378] igb 0000:02:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 2.752406] pps pps2: new PPS source ptp2
[ 2.752412] igb 0000:03:00.0: added PHC on eth2
[ 2.752414] igb 0000:03:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.752418] igb 0000:03:00.0: eth2: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:d0
[ 2.752421] igb 0000:03:00.0: eth2: PBA No: FFFFFF-0FF
[ 2.752424] igb 0000:03:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 3.020652] pps pps3: new PPS source ptp3
[ 3.020657] igb 0000:04:00.0: added PHC on eth3
[ 3.020660] igb 0000:04:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 3.020663] igb 0000:04:00.0: eth3: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:d1
[ 3.020667] igb 0000:04:00.0: eth3: PBA No: FFFFFF-0FF
[ 3.020670] igb 0000:04:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 3.242144] random: fast init done
[ 3.279235] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[ 3.324283] loop: module loaded
[ 3.423060] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 3.427016] usbcore: registered new interface driver usb-storage
[ 8.673779] EXT4-fs (sda1): re-mounted. Opts: data=ordered
[ 9.297135] random: systemd: uninitialized urandom read (16 bytes read)
[ 9.304665] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ -SECCOMP -APPARMOR)
[ 9.330413] systemd[1]: Detected architecture 'x86-64'.
[ 9.396642] systemd[1]: Inserted module 'autofs4'
[ 9.440233] NET: Registered protocol family 10
[ 9.469625] Segment Routing with IPv6
[ 9.470582] systemd[1]: Inserted module 'ipv6'
[ 9.471485] systemd[1]: Set hostname to <home-r1>.
[ 9.535089] random: systemd-sysv-ge: uninitialized urandom read (16 bytes read)
[ 9.722725] random: systemd-sysv-ge: uninitialized urandom read (16 bytes read)
[ 9.791132] systemd[1]: Cannot add dependency job for unit display-manager.service, ignoring: Unit display-manager.service failed to load: No such file or directory.
[ 9.791814] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[ 9.791940] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[ 9.791961] systemd[1]: Expecting device dev-ttyS0.device...
[ 9.792276] systemd[1]: Starting Remote File Systems (Pre).
[ 10.210516] systemd-udevd[1270]: starting version 215
[ 10.474525] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input4
[ 10.474546] ACPI: Power Button [PWRB]
[ 10.474653] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[ 10.474680] ACPI: Power Button [PWRF]
[ 10.584161] input: PC Speaker as /devices/platform/pcspkr/input/input6
[ 10.632744] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 10.702574] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[ 10.702634] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[ 10.703915] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[ 10.990254] systemd-journald[1216]: Received request to flush runtime journal from PID 1
[ 12.201947] fuse init (API version 7.26)
[ 12.868375] Process accounting resumed
[ 12.982822] random: crng init done
[ 12.982826] random: 6 urandom warning(s) missed due to ratelimiting
[ 14.269651] nf_conntrack version 0.5.0 (32768 buckets, 262144 max)
[ 14.561886] Netfilter messages via NETLINK v0.30.
[ 15.251815] ip6_tables: (C) 2000-2006 Netfilter Core Team
[ 54.918986] ip_set: protocol 6
[ 87.283931] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 88.748813] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 90.181113] IPv6: ADDRCONF(NETDEV_UP): eth3: link is not ready
[ 90.400554] igb 0000:02:00.0 eth1: igb: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 90.880261] IPv6: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[ 91.648248] IPv6: ADDRCONF(NETDEV_UP): eth2: link is not ready
[ 91.760546] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 91.880264] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 92.846730] igb 0000:04:00.0: changing MTU from 1500 to 1508
[ 92.877369] PPP generic driver version 2.4.2
[ 92.963389] NET: Registered protocol family 24
[ 95.640541] igb 0000:04:00.0 eth3: igb: eth3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[ 95.640816] IPv6: ADDRCONF(NETDEV_CHANGE): eth3: link becomes ready
[ 98.203235] pppoe0: renamed from ppp0
[ 223.517095] ISO 9660 Extensions: Microsoft Joliet Level 3
[ 223.525266] ISO 9660 Extensions: RRIP_1991A

c-po added a comment.Jan 7 2019, 6:23 AM

Thanks. An lsmod from rc5 would be nice, too.

There is a new rolling release with additional PHY drivers, can you test this, too?

SteveP added a comment.Jan 7 2019, 9:21 AM

Hi,

I'm away from home now so have no access to it until Thursday. I'll pick it
up again than.

SteveP

Hi,

Any particular release to test or just the latest?

SteveP

c-po added a comment.Jan 10 2019, 1:44 PM

Latest is fine

Hi,

Still not working I'm afraid.

SteveP

hi,

Was it not RC6 which got 4.19.0? If I read the kernel changelog right there where some other problems with igb fixed in this area ....
Also I found https://ubuntuforums.org/showthread.php?t=2404431.

From my point if view we should test it with a current non pachted kernel an report to LKM if it failed.

Looks that there is something broke in the current kernel versions.

c-po added a comment.EditedJan 10 2019, 5:04 PM

No reply from the vendor so far

Hi,

Just installed stretch on it (4.9.0-8-amd64) which as we know works.

used stretch-backports to find where it breaks

linux-image-4.18.0-0.bpo.1-amd64 (4.18.6-1~bpo9+1)
ip link show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000

link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00

2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP mode DEFAULT group default qlen 1000

link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff

3: enp2s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT group default qlen 1000

link/ether 4c:02:89:12:16:cf brd ff:ff:ff:ff:ff:ff

4: enp3s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT group default qlen 1000

link/ether 4c:02:89:12:16:d0 brd ff:ff:ff:ff:ff:ff

5: enp4s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT group default qlen 1000

link/ether 4c:02:89:12:16:d1 brd ff:ff:ff:ff:ff:ff

linux-image-4.18.0-0.bpo.3-amd64 (4.18.20-2~bpo9+1)
ip link show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000

link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00

2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP mode DEFAULT group default qlen 1000

link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff

SteveP

c-po added a comment.Jan 11 2019, 12:18 PM

Please place your code snippets inside a Code section as mentioned above, this makes it easier to read.

Can you also provide us with a lsmod output please?

OK,

I've put it back with VyOS RC5 on it now. Not a problem, I can install Debian again it doesn't take long. Do you want lsmod output with 4.18.6-1 (all 4 NICs working), 4.18.20-2 (only one NIC working) or would you like both?

SteveP

c-po added a comment.Jan 11 2019, 2:01 PM

lsmod output from 4.18.6-1 (all 4 NICs working) please. We already have a lsmod output of the other versions.

Module                  Size  Used by
intel_rapl             24576  0
intel_soc_dts_thermal    16384  0
intel_soc_dts_iosf     16384  1 intel_soc_dts_thermal
snd_hda_codec_hdmi     57344  1
intel_powerclamp       16384  0
coretemp               16384  0
snd_hda_intel          45056  0
kvm_intel             237568  0
snd_hda_codec         151552  2 snd_hda_codec_hdmi,snd_hda_intel
iTCO_wdt               16384  0
kvm                   733184  1 kvm_intel
i915                 1732608  2
uas                    28672  0
iTCO_vendor_support    16384  1 iTCO_wdt
snd_hda_core           94208  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd_hwdep              20480  1 snd_hda_codec
usb_storage            69632  1 uas
irqbypass              16384  1 kvm
snd_pcm               118784  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_core
drm_kms_helper        196608  1 i915
snd_timer              36864  1 snd_pcm
evdev                  28672  3
crct10dif_pclmul       16384  0
crc32_pclmul           16384  0
snd                    98304  6 snd_hda_codec_hdmi,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_timer,snd_pcm
drm                   475136  3 drm_kms_helper,i915
ghash_clmulni_intel    16384  0
soundcore              16384  1 snd
sg                     36864  0
intel_cstate           16384  0
lpc_ich                28672  0
serio_raw              16384  0
pcspkr                 16384  0
video                  45056  1 i915
pwm_lpss_platform      16384  0
pwm_lpss               16384  1 pwm_lpss_platform
pcc_cpufreq            16384  0
button                 16384  1 i915
ip_tables              28672  0
x_tables               45056  1 ip_tables
autofs4                49152  2
ext4                  741376  1
crc16                  16384  1 ext4
mbcache                16384  1 ext4
jbd2                  118784  1 ext4
crc32c_generic         16384  0
fscrypto               32768  1 ext4
ecb                    16384  0
crypto_simd            16384  0
cryptd                 28672  2 crypto_simd,ghash_clmulni_intel
glue_helper            16384  0
aes_x86_64             20480  0
hid_generic            16384  0
usbhid                 57344  0
hid                   135168  2 usbhid,hid_generic
sd_mod                 53248  3
ata_generic            16384  0
ata_piix               36864  2
crc32c_intel           24576  2
libata                278528  2 ata_piix,ata_generic
i2c_i801               28672  0
scsi_mod              253952  5 sd_mod,usb_storage,uas,libata,sg
psmouse               172032  0
xhci_pci               16384  0
igb                   249856  0
xhci_hcd              270336  1 xhci_pci
i2c_algo_bit           16384  2 igb,i915
dca                    16384  1 igb
usbcore               290816  5 xhci_hcd,usbhid,usb_storage,xhci_pci,uas
usb_common             16384  1 usbcore
thermal                20480  0
fan                    16384  0
kmpm added a subscriber: kmpm.Jan 20 2019, 12:06 PM
syncer lowered the priority of this task from High to Normal.

Hi

I have done a bit more work on this problem and, correct me if I'm wrong, I no longer think it is driver related.

I installed Stretch and, with the default kernel (4.9.0.8), as expected the NICs are present.

ip add sh
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff
    inet 192.168.3.102/24 brd 192.168.3.255 scope global enp1s0
       valid_lft forever preferred_lft forever
    inet6 fe80::4e02:89ff:fe12:16ce/64 scope link
       valid_lft forever preferred_lft forever
3: enp2s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:cf brd ff:ff:ff:ff:ff:ff
4: enp3s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:d0 brd ff:ff:ff:ff:ff:ff
5: enp4s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:d1 brd ff:ff:ff:ff:ff:ff

ethtool -i enp1s0
driver: igb
version: 5.4.0-k
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

I then installed the latest drivers for I211 from the Intel site wget https://sourceforge.net/projects/e1000/files/igb%20stable/5.3.5.22/igb-5.3.5.22.tar.gz

ip add sh
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
6: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff
    inet 192.168.3.102/24 brd 192.168.3.255 scope global enp1s0
       valid_lft forever preferred_lft forever
    inet6 fe80::4e02:89ff:fe12:16ce/64 scope link
       valid_lft forever preferred_lft forever
7: enp2s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:cf brd ff:ff:ff:ff:ff:ff
8: enp3s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:d0 brd ff:ff:ff:ff:ff:ff
9: enp4s0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 4c:02:89:12:16:d1 brd ff:ff:ff:ff:ff:ff

The NICs are still there but curiously, it does renumber them so it see them differently somehow.

ethtool -i enp1s0
driver: igb
version: 5.3.5.22
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no


modinfo ./igb.ko | grep -i depends
     depends:        ptp,dca

I then used stretch-backports to get to a broken kernel 4.19.12-1~bpo9+1
uname -r
4.19.0-0.bpo.1-amd64

ip add sh
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff
    inet 192.168.3.102/24 brd 192.168.3.255 scope global enp1s0
       valid_lft forever preferred_lft forever
    inet6 fe80::4e02:89ff:fe12:16ce/64 scope link
       valid_lft forever preferred_lft forever

enp1s0 is now back listed as device 2

ethtool -i enp1s0
driver: igb
version: 5.4.0-k
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

modinfo ./igb.ko | grep -i depends
     depends:        dca

depends is different on newer kernel

Installed 5.3.5.22

ip add sh
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
3: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether 4c:02:89:12:16:ce brd ff:ff:ff:ff:ff:ff
    inet 192.168.3.102/24 brd 192.168.3.255 scope global enp1s0
       valid_lft forever preferred_lft forever
    inet6 fe80::4e02:89ff:fe12:16ce/64 scope link
       valid_lft forever preferred_lft forever

enp1s0 is now listed as device 3

ethtool -i enp1s0
driver: igb
version: 5.3.5.22
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

modinfo ./igb.ko | grep -i depends
     depends:        dca

Any clue as to where to look next?

SteveP

c-po added a comment.Feb 20 2019, 10:01 PM

Please test with a rolling relase build date newer than 20120220 - Drivers have been replaced with the ones provided by Intel

Hi,

It didn’t cure it I’m afraid. It has, however, changed the error message to:

[   20.598158] igb 0000:02:00.0: Hardware Initialization Failure
[   20.667107] igb: probe of 0000:02:00.0 failed with error -5
[   20.667991] igb 0000:03:00.0: Hardware Initialization Failure
[   20.736842] igb: probe of 0000:03:00.0 failed with error -5
[   20.737709] igb 0000:04:00.0: Hardware Initialization Failure
[   20.806549] igb: probe of 0000:04:00.0 failed with error -5

I’m going to investigate that today.

I did investigate the PHY chip. From Intel’s docs I discovered:

I211-AT – 0x1532 (hardware default, indicating an un-programmed device)
I211-AT – 0x1539

Mine is [8086:1539] (rev 03) so is confirmed as I211-AT and is programmed.

It also states:

“The Intel® Ethernet Controller I211 (I211) is a single port, compact, low power component that supports GbE designs. The I211 offers a fully-integrated GbE MAC, PHY port, and supports PCI Express* [PCIe v2.1 (2.5 GT/s)].
Note that the I211 operates without an external flash memory”

I have added all the usual log outputs since the driver update below.

Any other thought of what to look at next?

sudo ethtool -i eth0
driver: igb
version: 5.3.5.22
firmware-version:  0. 4-1
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no


[    0.000000] Linux version 4.19.20-amd64-vyos (jenkins@jessiedevel) (gcc version 4.9.2 (Debian 4.9.2-10+deb8u1)) #1 SMP Wed Feb 20 22:49:42 CET 2019
[    0.000000] Command line: BOOT_IMAGE=/boot/1.2.0-rolling+201902210337/vmlinuz boot=live quiet rootdelay=5 vyos-union=/boot/1.2.0-rolling+201902210337 console=ttyS0,9600 console=tty0
[    0.000000] x86/fpu: x87 FPU will use FXSAVE
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009e7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009e800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b8918fff] usable
[    0.000000] BIOS-e820: [mem 0x00000000b8919000-0x00000000b8f18fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000b8f19000-0x00000000b9118fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b9119000-0x00000000b9158fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000b9159000-0x00000000b9ffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000ba000000-0x00000000ba7fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000bae00000-0x00000000bfffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed03000-0x00000000fed03fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed08fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed0c000-0x00000000fed0ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1cfff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fef00000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffd00000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000013fffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: Lex BayTrail       3I380D D1         /3I380D D1         , BIOS 3I380D D3 11/09/2015
[    0.000000] tsc: Detected 1999.200 MHz processor
[    0.002845] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.002850] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.002863] last_pfn = 0x140000 max_arch_pfn = 0x400000000
[    0.002869] MTRR default type: uncachable
[    0.002871] MTRR fixed ranges enabled:
[    0.002873]   00000-9FFFF write-back
[    0.002875]   A0000-BFFFF uncachable
[    0.002878]   C0000-FFFFF write-protect
[    0.002879] MTRR variable ranges enabled:
[    0.002882]   0 base 0FFD00000 mask FFFC00000 write-protect
[    0.002884]   1 base 000000000 mask F80000000 write-back
[    0.002887]   2 base 080000000 mask FC0000000 write-back
[    0.002889]   3 base 0BC000000 mask FFC000000 uncachable
[    0.002891]   4 base 0BB000000 mask FFF000000 uncachable
[    0.002893]   5 base 0BAE00000 mask FFFE00000 uncachable
[    0.002895]   6 base 100000000 mask FC0000000 write-back
[    0.002897]   7 disabled
[    0.003032] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT
[    0.003144] last_pfn = 0xba000 max_arch_pfn = 0x400000000
[    0.008944] found SMP MP-table at [mem 0x000fe1c0-0x000fe1cf] mapped at [(____ptrval____)]
[    0.008972] Base memory trampoline at [(____ptrval____)] 98000 size 24576
[    0.008981] BRK [0x20601000, 0x20601fff] PGTABLE
[    0.008984] BRK [0x20602000, 0x20602fff] PGTABLE
[    0.008986] BRK [0x20603000, 0x20603fff] PGTABLE
[    0.009053] BRK [0x20604000, 0x20604fff] PGTABLE
[    0.009058] BRK [0x20605000, 0x20605fff] PGTABLE
[    0.009355] BRK [0x20606000, 0x20606fff] PGTABLE
[    0.009497] RAMDISK: [mem 0x33da6000-0x35ecafff]
[    0.009510] ACPI: Early table checksum verification disabled
[    0.009696] ACPI: RSDP 0x00000000000FE020 000024 (v02 INSYDE)
[    0.009703] ACPI: XSDT 0x00000000B9158120 0000A4 (v01 INSYDE INSYDE   00000003      01000013)
[    0.009712] ACPI: FACP 0x00000000B9155000 00010C (v05 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009722] ACPI: DSDT 0x00000000B9144000 009F79 (v02 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009729] ACPI: FACS 0x00000000B90D2000 000040
[    0.009735] ACPI: UEFI 0x00000000B9157000 000236 (v01 INSYDE INSYDE   00000001 ACPI 00040000)
[    0.009742] ACPI: HPET 0x00000000B9154000 000038 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009748] ACPI: LPIT 0x00000000B9153000 000104 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009755] ACPI: APIC 0x00000000B9152000 000084 (v03 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009762] ACPI: MCFG 0x00000000B9151000 00003C (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009768] ACPI: SLIC 0x00000000B9150000 000176 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009775] ACPI: WDAT 0x00000000B914F000 0001C4 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009782] ACPI: WDRT 0x00000000B914E000 000047 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009789] ACPI: SSDT 0x00000000B9143000 000763 (v01 INSYDE CpuPm    00003000 ACPI 00040000)
[    0.009795] ACPI: SSDT 0x00000000B9142000 000290 (v01 INSYDE Cpu0Tst  00003000 ACPI 00040000)
[    0.009802] ACPI: SSDT 0x00000000B9141000 00017A (v01 INSYDE ApTst    00003000 ACPI 00040000)
[    0.009809] ACPI: UEFI 0x00000000B9140000 000042 (v01 INSYDE INSYDE   00000000 ACPI 00040000)
[    0.009816] ACPI: SSDT 0x00000000B913F000 00065B (v01 INSYDE SIOACPI  00001000 ACPI 00040000)
[    0.009822] ACPI: SSDT 0x00000000B913E000 00022B (v01 INSYDE IsctTabl 00001000 ACPI 00040000)
[    0.009829] ACPI: FPDT 0x00000000B913D000 000044 (v01 INSYDE INSYDE   00000002 ACPI 00040000)
[    0.009846] ACPI: Local APIC address 0xfee00000
[    0.009880] Zone ranges:
[    0.009882]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.009885]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.009888]   Normal   [mem 0x0000000100000000-0x000000013fffffff]
[    0.009890] Movable zone start for each node
[    0.009891] Early memory node ranges
[    0.009893]   node   0: [mem 0x0000000000001000-0x000000000009dfff]
[    0.009895]   node   0: [mem 0x0000000000100000-0x00000000b8918fff]
[    0.009896]   node   0: [mem 0x00000000b9159000-0x00000000b9ffffff]
[    0.009898]   node   0: [mem 0x0000000100000000-0x000000013fffffff]
[    0.009905] Reserved but unavailable: 99 pages
[    0.009908] Initmem setup node 0 [mem 0x0000000000001000-0x000000013fffffff]
[    0.009910] On node 0 totalpages: 1021789
[    0.009912]   DMA zone: 64 pages used for memmap
[    0.009914]   DMA zone: 21 pages reserved
[    0.009915]   DMA zone: 3997 pages, LIFO batch:0
[    0.010091]   DMA32 zone: 11807 pages used for memmap
[    0.010092]   DMA32 zone: 755648 pages, LIFO batch:63
[    0.045900]   Normal zone: 4096 pages used for memmap
[    0.045904]   Normal zone: 262144 pages, LIFO batch:63
[    0.056944] x86/hpet: Will disable the HPET for this platform because it's not reliable
[    0.056953] Reserving Intel graphics memory at [mem 0xbb000000-0xbeffffff]
[    0.057120] ACPI: PM-Timer IO Port: 0x408
[    0.057124] ACPI: Local APIC address 0xfee00000
[    0.057134] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[    0.057136] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[    0.057138] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[    0.057139] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[    0.057153] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[    0.057156] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.057159] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.057162] ACPI: IRQ0 used by override.
[    0.057165] ACPI: IRQ9 used by override.
[    0.057169] Using ACPI (MADT) for SMP configuration information
[    0.057172] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.057181] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[    0.057221] [mem 0xc0000000-0xdfffffff] available for PCI devices
[    0.057223] Booting paravirtualized kernel on bare hardware
[    0.057228] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[    0.220089] random: get_random_bytes called from 0xffffffff96d30ab8 with crng_init=0
[    0.220107] setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:4 nr_node_ids:1
[    0.220886] percpu: Embedded 43 pages/cpu @(____ptrval____) s137304 r8192 d30632 u524288
[    0.220900] pcpu-alloc: s137304 r8192 d30632 u524288 alloc=1*2097152
[    0.220903] pcpu-alloc: [0] 0 1 2 3
[    0.220947] Built 1 zonelists, mobility grouping on.  Total pages: 1005801
[    0.220951] Kernel command line: BOOT_IMAGE=/boot/1.2.0-rolling+201902210337/vmlinuz boot=live quiet rootdelay=5 vyos-union=/boot/1.2.0-rolling+201902210337 console=ttyS0,9600 console=tty0
[    0.222344] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.223012] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.245115] Calgary: detecting Calgary via BIOS EBDA area
[    0.245132] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.276160] Memory: 3896196K/4087156K available (8204K kernel code, 641K rwdata, 1568K rodata, 1116K init, 1880K bss, 190960K reserved, 0K cma-reserved)
[    0.276411] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.276424] Kernel/User page tables isolation: enabled
[    0.276593] rcu: Hierarchical RCU implementation.
[    0.276596] rcu:     RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=4.
[    0.276598] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.276615] NR_IRQS: 16640, nr_irqs: 1024, preallocated irqs: 16
[    0.278943] Console: colour VGA+ 80x25
[    0.278950] console [tty0] enabled
[    0.278976] console [ttyS0] enabled
[    0.278986] ACPI: Core revision 20180810
[    0.279261] APIC: Switch to symmetric I/O mode setup
[    0.280323] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.299252] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[    0.299271] Calibrating delay loop (skipped), value calculated using timer frequency.. 3998.40 BogoMIPS (lpj=7996800)
[    0.299276] pid_max: default: 32768 minimum: 301
[    0.299350] Security Framework initialized
[    0.299404] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.299425] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.300150] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.300152] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.300164] mce: CPU supports 6 MCE banks
[    0.300174] process: using mwait in idle threads
[    0.300179] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[    0.300180] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[    0.300184] Spectre V2 : Mitigation: Full generic retpoline
[    0.300185] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[    0.300427] Freeing SMP alternatives memory: 20K
[    0.303425] TSC deadline timer enabled
[    0.303429] smpboot: CPU0: Intel(R) Celeron(R) CPU  J1900  @ 1.99GHz (family: 0x6, model: 0x37, stepping: 0x8)
[    0.303677] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, 8-deep LBR, full-width counters, Intel PMU driver.
[    0.303697] ... version:                3
[    0.303698] ... bit width:              40
[    0.303699] ... generic registers:      2
[    0.303701] ... value mask:             000000ffffffffff
[    0.303702] ... max period:             0000007fffffffff
[    0.303703] ... fixed-purpose events:   3
[    0.303704] ... event mask:             0000000700000003
[    0.303779] rcu: Hierarchical SRCU implementation.
[    0.304833] NMI watchdog: Enabled. Permanently consumes one hw-PMU counter.
[    0.304960] smp: Bringing up secondary CPUs ...
[    0.305173] x86: Booting SMP configuration:
[    0.305176] .... node  #0, CPUs:      #1 #2 #3
[    0.308193] smp: Brought up 1 node, 4 CPUs
[    0.308193] smpboot: Max logical packages: 1
[    0.308193] smpboot: Total of 4 processors activated (15993.60 BogoMIPS)
[    0.308193] devtmpfs: initialized
[    0.308193] x86/mm: Memory block size: 128MB
[    0.308193] PM: Registering ACPI NVS region [mem 0xb8f19000-0xb9118fff] (2097152 bytes)
[    0.308193] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[    0.308193] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.308193] pinctrl core: initialized pinctrl subsystem
[    0.308193] NET: Registered protocol family 16
[    0.308193] audit: initializing netlink subsys (disabled)
[    0.308193] audit: type=2000 audit(1550732239.032:1): state=initialized audit_enabled=0 res=1
[    0.311389] cpuidle: using governor ladder
[    0.311393] cpuidle: using governor menu
[    0.311393] ACPI: bus type PCI registered
[    0.311393] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.311450] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.311463] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in E820
[    0.311463] PCI: Using configuration type 1 for base access
[    0.312650] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.312650] ACPI: Added _OSI(Module Device)
[    0.312650] ACPI: Added _OSI(Processor Device)
[    0.312650] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.312650] ACPI: Added _OSI(Processor Aggregator Device)
[    0.312650] ACPI: Added _OSI(Linux-Dell-Video)
[    0.312650] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.325837] ACPI: 6 ACPI AML tables successfully acquired and loaded
[    0.331202] ACPI: Dynamic OEM Table Load:
[    0.331202] ACPI: SSDT 0xFFFF98E3FB192000 0003BC (v01 PmRef  Cpu0Ist  00003000 INTL 20130117)
[    0.331202] ACPI: Dynamic OEM Table Load:
[    0.331202] ACPI: SSDT 0xFFFF98E3FB3ED000 000433 (v01 PmRef  Cpu0Cst  00003001 INTL 20130117)
[    0.331719] ACPI: Dynamic OEM Table Load:
[    0.331728] ACPI: SSDT 0xFFFF98E3FB388000 00015F (v01 PmRef  ApIst    00003000 INTL 20130117)
[    0.331984] ACPI: Dynamic OEM Table Load:
[    0.331984] ACPI: SSDT 0xFFFF98E3FB313F00 00008D (v01 PmRef  ApCst    00003000 INTL 20130117)
[    0.333306] ACPI: Interpreter enabled
[    0.333335] ACPI: (supports S0 S5)
[    0.333338] ACPI: Using IOAPIC for interrupt routing
[    0.333399] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.334099] ACPI: Enabled 6 GPEs in block 00 to 3F
[    0.341201] ACPI: Power Resource [USBC] (on)
[    0.343960] ACPI: Power Resource [PLPE] (on)
[    0.344371] ACPI: Power Resource [PLPE] (on)
[    0.350866] ACPI: Power Resource [CLK0] (on)
[    0.350942] ACPI: Power Resource [CLK1] (on)
[    0.353955] ACPI: Power Resource [FN00] (off)
[    0.355042] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.355052] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.787351] ACPI: Dynamic OEM Table Load:
[    0.787365] ACPI: SSDT 0xFFFF98E3FB1AEC00 00007B (v01 Insyde ACPI5P0  00001000 INTL 20130117)
[    0.787617] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM
[    0.787617] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[    0.787945] PCI host bridge to bus 0000:00
[    0.787950] pci_bus 0000:00: root bus resource [io  0x0070-0x0077]
[    0.787953] pci_bus 0000:00: root bus resource [io  0x0000-0x006f window]
[    0.787956] pci_bus 0000:00: root bus resource [io  0x0078-0x0cf7 window]
[    0.787959] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.787962] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.787964] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.787967] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[    0.787970] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xd0affffe window]
[    0.787972] pci_bus 0000:00: root bus resource [mem 0x140000000-0x53fffffff window]
[    0.787975] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.787988] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[    0.788161] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[    0.788177] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff]
[    0.788188] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff pref]
[    0.788198] pci 0000:00:02.0: reg 0x20: [io  0x5050-0x5057]
[    0.791397] pci 0000:00:13.0: [8086:0f21] type 00 class 0x01018f
[    0.791417] pci 0000:00:13.0: reg 0x10: [io  0x5048-0x504f]
[    0.791427] pci 0000:00:13.0: reg 0x14: [io  0x505c-0x505f]
[    0.791436] pci 0000:00:13.0: reg 0x18: [io  0x5040-0x5047]
[    0.791445] pci 0000:00:13.0: reg 0x1c: [io  0x5058-0x505b]
[    0.791454] pci 0000:00:13.0: reg 0x20: [io  0x5030-0x503f]
[    0.791464] pci 0000:00:13.0: reg 0x24: [io  0x5020-0x502f]
[    0.791621] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[    0.791643] pci 0000:00:14.0: reg 0x10: [mem 0xd0a00000-0xd0a0ffff 64bit]
[    0.791703] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.791849] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[    0.791879] pci 0000:00:1a.0: reg 0x10: [mem 0xd0900000-0xd09fffff]
[    0.791892] pci 0000:00:1a.0: reg 0x14: [mem 0xd0800000-0xd08fffff]
[    0.791995] pci 0000:00:1a.0: PME# supported from D0 D3hot
[    0.792140] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[    0.792166] pci 0000:00:1b.0: reg 0x10: [mem 0xd0a10000-0xd0a13fff 64bit]
[    0.792238] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.792370] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[    0.792440] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.792584] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[    0.792653] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.792795] pci 0000:00:1c.2: [8086:0f4c] type 01 class 0x060400
[    0.792863] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.793006] pci 0000:00:1c.3: [8086:0f4e] type 01 class 0x060400
[    0.793075] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.793222] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[    0.793425] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[    0.793468] pci 0000:00:1f.3: reg 0x10: [mem 0xd0a15000-0xd0a1501f]
[    0.793538] pci 0000:00:1f.3: reg 0x20: [io  0x5000-0x501f]
[    0.793844] pci 0000:01:00.0: [8086:1539] type 00 class 0x020000
[    0.793882] pci 0000:01:00.0: reg 0x10: [mem 0xd0700000-0xd071ffff]
[    0.793910] pci 0000:01:00.0: reg 0x18: [io  0x4000-0x401f]
[    0.793925] pci 0000:01:00.0: reg 0x1c: [mem 0xd0720000-0xd0723fff]
[    0.794060] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.794214] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.794219] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.794223] pci 0000:00:1c.0:   bridge window [mem 0xd0700000-0xd07fffff]
[    0.794317] pci 0000:02:00.0: [8086:1539] type 00 class 0x020000
[    0.794354] pci 0000:02:00.0: reg 0x10: [mem 0xd0600000-0xd061ffff]
[    0.794382] pci 0000:02:00.0: reg 0x18: [io  0x3000-0x301f]
[    0.794397] pci 0000:02:00.0: reg 0x1c: [mem 0xd0620000-0xd0623fff]
[    0.794531] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.794680] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.794685] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.794689] pci 0000:00:1c.1:   bridge window [mem 0xd0600000-0xd06fffff]
[    0.794786] pci 0000:03:00.0: [8086:1539] type 00 class 0x020000
[    0.794823] pci 0000:03:00.0: reg 0x10: [mem 0xd0500000-0xd051ffff]
[    0.794851] pci 0000:03:00.0: reg 0x18: [io  0x2000-0x201f]
[    0.794866] pci 0000:03:00.0: reg 0x1c: [mem 0xd0520000-0xd0523fff]
[    0.795000] pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
[    0.795151] pci 0000:00:1c.2: PCI bridge to [bus 03]
[    0.795156] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.795160] pci 0000:00:1c.2:   bridge window [mem 0xd0500000-0xd05fffff]
[    0.795263] pci 0000:04:00.0: [8086:1539] type 00 class 0x020000
[    0.795301] pci 0000:04:00.0: reg 0x10: [mem 0xd0400000-0xd041ffff]
[    0.795328] pci 0000:04:00.0: reg 0x18: [io  0x1000-0x101f]
[    0.795343] pci 0000:04:00.0: reg 0x1c: [mem 0xd0420000-0xd0423fff]
[    0.795478] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
[    0.795624] pci 0000:00:1c.3: PCI bridge to [bus 04]
[    0.795629] pci 0000:00:1c.3:   bridge window [io  0x1000-0x1fff]
[    0.795633] pci 0000:00:1c.3:   bridge window [mem 0xd0400000-0xd04fffff]
[    0.795655] pci_bus 0000:00: on NUMA node 0
[    0.796735] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.796867] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.796995] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.797124] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.797251] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.797379] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.797508] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.797641] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.800190] ACPI: bus type USB registered
[    0.800223] usbcore: registered new interface driver usbfs
[    0.800238] usbcore: registered new interface driver hub
[    0.800269] usbcore: registered new device driver usb
[    0.800317] pps_core: LinuxPPS API ver. 1 registered
[    0.800319] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.800324] PTP clock support registered
[    0.800339] EDAC MC: Ver: 3.0.0
[    0.800460] PCI: Using ACPI for IRQ routing
[    0.800705] PCI: pci_cache_line_size set to 64 bytes
[    0.800763] e820: reserve RAM buffer [mem 0x0009e800-0x0009ffff]
[    0.800766] e820: reserve RAM buffer [mem 0xb8919000-0xbbffffff]
[    0.800768] e820: reserve RAM buffer [mem 0xba000000-0xbbffffff]
[    0.800948] clocksource: Switched to clocksource tsc-early
[    0.800948] pnp: PnP ACPI init
[    0.800948] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.800948] system 00:01: [io  0x0680-0x069f] has been reserved
[    0.800948] system 00:01: [io  0x0400-0x047f] has been reserved
[    0.800948] system 00:01: [io  0x0500-0x05fe] has been reserved
[    0.800948] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[    0.800948] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.800948] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.800948] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.801219] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[    0.801223] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    0.801226] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    0.801229] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[    0.801232] system 00:04: [mem 0xfed0c000-0xfed0ffff] has been reserved
[    0.801235] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[    0.801238] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    0.801242] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.801245] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[    0.801254] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.803343] pnp: PnP ACPI: found 5 devices
[    0.811111] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.811152] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.811156] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.811162] pci 0000:00:1c.0:   bridge window [mem 0xd0700000-0xd07fffff]
[    0.811170] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.811173] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.811178] pci 0000:00:1c.1:   bridge window [mem 0xd0600000-0xd06fffff]
[    0.811185] pci 0000:00:1c.2: PCI bridge to [bus 03]
[    0.811188] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.811193] pci 0000:00:1c.2:   bridge window [mem 0xd0500000-0xd05fffff]
[    0.811200] pci 0000:00:1c.3: PCI bridge to [bus 04]
[    0.811203] pci 0000:00:1c.3:   bridge window [io  0x1000-0x1fff]
[    0.811208] pci 0000:00:1c.3:   bridge window [mem 0xd0400000-0xd04fffff]
[    0.811216] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    0.811219] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    0.811222] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    0.811225] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    0.811228] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    0.811230] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    0.811233] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    0.811236] pci_bus 0000:00: resource 11 [mem 0xc0000000-0xd0affffe window]
[    0.811239] pci_bus 0000:00: resource 12 [mem 0x140000000-0x53fffffff window]
[    0.811242] pci_bus 0000:01: resource 0 [io  0x4000-0x4fff]
[    0.811245] pci_bus 0000:01: resource 1 [mem 0xd0700000-0xd07fffff]
[    0.811248] pci_bus 0000:02: resource 0 [io  0x3000-0x3fff]
[    0.811250] pci_bus 0000:02: resource 1 [mem 0xd0600000-0xd06fffff]
[    0.811253] pci_bus 0000:03: resource 0 [io  0x2000-0x2fff]
[    0.811256] pci_bus 0000:03: resource 1 [mem 0xd0500000-0xd05fffff]
[    0.811265] pci_bus 0000:04: resource 0 [io  0x1000-0x1fff]
[    0.811267] pci_bus 0000:04: resource 1 [mem 0xd0400000-0xd04fffff]
[    0.811423] NET: Registered protocol family 2
[    0.811705] tcp_listen_portaddr_hash hash table entries: 2048 (order: 3, 32768 bytes)
[    0.811728] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    0.811821] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    0.811976] TCP: Hash tables configured (established 32768 bind 32768)
[    0.812055] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.812088] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.812223] NET: Registered protocol family 1
[    0.812253] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.812638] PCI: CLS 64 bytes, default 64
[    0.812732] Unpacking initramfs...
[    1.672402] Freeing initrd memory: 33940K
[    1.672413] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.672417] software IO TLB: mapped [mem 0xb4919000-0xb8919000] (64MB)
[    1.672487] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[    1.672554] clocksource: Switched to clocksource tsc
[    1.673128] Initialise system trusted keyrings
[    1.673241] workingset: timestamp_bits=46 max_order=20 bucket_order=0
[    1.675978] pstore: using deflate compression
[    2.485775] Key type asymmetric registered
[    2.485779] Asymmetric key parser 'x509' registered
[    2.485805] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 248)
[    2.485876] io scheduler noop registered
[    2.485878] io scheduler deadline registered
[    2.485949] io scheduler cfq registered (default)
[    2.485952] io scheduler mq-deadline registered
[    2.486915] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    2.486940] intel_idle: MWAIT substates: 0x33000020
[    2.486942] intel_idle: v0.4.1 model 0x37
[    2.487350] intel_idle: lapic_timer_reliable_states 0xffffffff
[    2.490403] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    2.511095] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    2.532815] 00:03: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[    2.535822] hpet: number irqs doesn't agree with number of timers
[    2.535888] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
[    2.535889] AMD IOMMUv2 functionality not available on this system
[    2.537789] i8042: PNP: No PS/2 controller found.
[    2.537791] i8042: Probing ports directly.
[    2.538635] serio: i8042 KBD port at 0x60,0x64 irq 1
[    2.538648] serio: i8042 AUX port at 0x60,0x64 irq 12
[    2.538730] rtc_cmos 00:00: RTC can wake from S4
[    2.539245] rtc_cmos 00:00: registered as rtc0
[    2.539294] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[    2.539313] intel_pstate: Intel P-state driver initializing
[    2.540820] ledtrig-cpu: registered to indicate activity on CPUs
[    2.541942] NET: Registered protocol family 10
[    2.561764] Segment Routing with IPv6
[    2.561817] mip6: Mobile IPv6
[    2.561824] NET: Registered protocol family 17
[    2.563096] microcode: sig=0x30678, pf=0x4, revision=0x815
[    2.563679] microcode: Microcode Update Driver: v2.2.
[    2.563705] sched_clock: Marking stable (2565344839, -1688835)->(2577606553, -13950549)
[    2.565823] registered taskstats version 1
[    2.565826] Loading compiled-in X.509 certificates
[    2.566487] rtc_cmos 00:00: setting system clock to 2019-02-21 06:57:21 UTC (1550732241)
[    2.568786] Freeing unused kernel image memory: 1116K
[    2.587879] Write protecting the kernel read-only data: 12288k
[    2.590600] Freeing unused kernel image memory: 2028K
[    2.591356] Freeing unused kernel image memory: 480K
[    2.619466] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.620293] x86/mm: Checking user space page tables
[    2.648681] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.648683] Run /init as init process
[    2.688206] systemd-udevd[95]: starting version 215
[    2.689460] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    2.729823] thermal LNXTHERM:00: registered as thermal_zone0
[    2.729826] ACPI: Thermal Zone [TZ01] (36 C)
[    2.734911] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[    2.734966] SCSI subsystem initialized
[    2.739148] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.739160] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    2.739398] libata version 3.00 loaded.
[    2.739892] ata_piix 0000:00:13.0: version 2.13
[    2.740036] ata_piix 0000:00:13.0: MAP [ P0 -- P1 -- ]
[    2.740238] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000000009810
[    2.740244] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    2.740508] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.19
[    2.740511] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.740514] usb usb1: Product: xHCI Host Controller
[    2.740516] usb usb1: Manufacturer: Linux 4.19.20-amd64-vyos xhci-hcd
[    2.740517] usb usb1: SerialNumber: 0000:00:14.0
[    2.740827] hub 1-0:1.0: USB hub found
[    2.741000] hub 1-0:1.0: 6 ports detected
[    2.741970] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.741977] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    2.741987] xhci_hcd 0000:00:14.0: Host supports USB 3.0  SuperSpeed
[    2.742084] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.19
[    2.742087] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.742089] usb usb2: Product: xHCI Host Controller
[    2.742091] usb usb2: Manufacturer: Linux 4.19.20-amd64-vyos xhci-hcd
[    2.742093] usb usb2: SerialNumber: 0000:00:14.0
[    2.742701] hub 2-0:1.0: USB hub found
[    2.742719] hub 2-0:1.0: 1 port detected
[    2.899643] ata_piix 0000:00:13.0: SCR access via SIDPR is available but doesn't work
[    2.901255] scsi host0: ata_piix
[    2.902651] scsi host1: ata_piix
[    2.902795] ata1: SATA max UDMA/133 cmd 0x5048 ctl 0x505c bmdma 0x5030 irq 19
[    2.902799] ata2: SATA max UDMA/133 cmd 0x5040 ctl 0x5058 bmdma 0x5038 irq 19
[    3.071060] ata2.00: ATA-8: mSATA mini 3ME3, S16425, max UDMA/133
[    3.071063] ata2.00: 15649200 sectors, multi 1: LBA48 NCQ (depth 0/32)
[    3.072084] scsi 1:0:0:0: Direct-Access     ATA      mSATA mini 3ME3  25   PQ: 0 ANSI: 5
[    3.079335] usb 1-4: new high-speed USB device number 2 using xhci_hcd
[    3.082950] sd 1:0:0:0: [sda] 15649200 512-byte logical blocks: (8.01 GB/7.46 GiB)
[    3.082966] sd 1:0:0:0: [sda] Write Protect is off
[    3.082969] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    3.082991] sd 1:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.084011]  sda: sda1
[    3.084654] sd 1:0:0:0: [sda] Attached SCSI disk
[    3.229580] usb 1-4: New USB device found, idVendor=14cd, idProduct=8601, bcdDevice= 0.00
[    3.229586] usb 1-4: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    3.229590] usb 1-4: Product: USB 2.0 Hub
[    3.229593] usb 1-4: Manufacturer: USB Device
[    3.231134] hub 1-4:1.0: USB hub found
[    3.231246] hub 1-4:1.0: 4 ports detected
[    8.327442] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    8.334417] random: fast init done
[    8.378190] loop: module loaded
[    8.436970] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    8.454151] uhci_hcd: USB Universal Host Controller Interface driver
[    8.458285] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    8.458288] Warning! ehci_hcd should always be loaded before uhci_hcd and ohci_hcd, not after
[    8.461943] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    8.466195] usbcore: registered new interface driver usb-storage
[   13.754132] EXT4-fs (sda1): re-mounted. Opts: (null)
[   14.346862] random: systemd: uninitialized urandom read (16 bytes read)
[   14.366036] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ -SECCOMP -APPARMOR)
[   14.384519] systemd[1]: Detected architecture 'x86-64'.
[   14.461108] systemd[1]: Inserted module 'autofs4'
[   14.467361] systemd[1]: Set hostname to <localhost.localdomain>.
[   14.467640] random: systemd: uninitialized urandom read (16 bytes read)
[   14.467654] systemd[1]: Initializing machine ID from random generator.
[   14.572082] random: systemd-sysv-ge: uninitialized urandom read (16 bytes read)
[   14.874019] systemd[1]: Cannot add dependency job for unit display-manager.service, ignoring: Unit display-manager.service failed to load: No such file or directory.
[   14.874744] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[   14.874882] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[   14.874904] systemd[1]: Expecting device dev-ttyS0.device...
[   14.875230] systemd[1]: Starting Remote File Systems (Pre).
[   19.666572] systemd-udevd[618]: starting version 215
[   19.941175] dca service started, version 1.12.1
[   19.955107] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input4
[   19.955126] ACPI: Power Button [PWRB]
[   19.955242] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[   19.955470] ACPI: Power Button [PWRF]
[   20.139455] iTCO_vendor_support: vendor-support=0
[   20.170035] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[   20.170113] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[   20.170493] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   20.183328] cryptd: max_cpu_qlen set to 1000
[   20.506014] igb: loading out-of-tree module taints kernel.
[   20.510286] Intel(R) Gigabit Ethernet Linux Driver - version 5.3.5.22
[   20.510289] Copyright(c) 2007 - 2018 Intel Corporation.
[   20.597102] igb 0000:01:00.0: added PHC on eth0
[   20.597107] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.597111] igb 0000:01:00.0: eth0: (PCIe:2.5GT/s:Width x1)
[   20.597116] igb 0000:01:00.0 eth0: MAC: 4c:02:89:12:16:ce
[   20.597121] igb 0000:01:00.0: eth0: PBA No: Unknown
[   20.597134] igb 0000:01:00.0: LRO is disabled
[   20.597139] igb 0000:01:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   20.598158] igb 0000:02:00.0: Hardware Initialization Failure
[   20.667107] igb: probe of 0000:02:00.0 failed with error -5
[   20.667991] igb 0000:03:00.0: Hardware Initialization Failure
[   20.736842] igb: probe of 0000:03:00.0 failed with error -5
[   20.737709] igb 0000:04:00.0: Hardware Initialization Failure
[   20.806549] igb: probe of 0000:04:00.0 failed with error -5
[   22.042626] systemd-journald[503]: Received request to flush runtime journal from PID 1
[   22.589079] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   22.594296] Bridge firewalling registered
[   22.610525] fuse init (API version 7.27)
[   23.897607] Process accounting resumed
[   24.029155] random: crng init done
[   24.029160] random: 6 urandom warning(s) missed due to ratelimiting
[  108.283004] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  111.372160] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[  111.372405] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

lsmod
Module                  Size  Used by
ipt_MASQUERADE         12288  1
xt_nat                 12288  2
xt_set                 12288  5
xt_comment             12288  14
xt_conntrack           12288  12
ip_set_hash_net        32768  2
ip_set_bitmap_port     12288  2
ip_set_hash_ip         32768  1
ip_set                 36864  4 ip_set_bitmap_port,ip_set_hash_ip,xt_set,ip_set_hash_net
iptable_nat            12288  1
nf_nat_ipv4            12288  2 ipt_MASQUERADE,iptable_nat
ip6table_nat           12288  1
nf_nat_ipv6            12288  1 ip6table_nat
ip6table_mangle        12288  1
ip6table_filter        12288  1
ip6table_raw           12288  1
ip6_tables             24576  4 ip6table_filter,ip6table_raw,ip6table_nat,ip6table_mangle
iptable_filter         12288  1
xt_tcpudp              12288  10
xt_CT                  12288  9
nfnetlink_cthelper     16384  5
nfnetlink              12288  2 nfnetlink_cthelper,ip_set
iptable_raw            12288  1
ip_tables              20480  3 iptable_filter,iptable_raw,iptable_nat
x_tables               32768  14 ip6table_filter,xt_conntrack,ip6table_raw,iptable_filter,xt_tcpudp,ipt_MASQUERADE,xt_nat,xt_comment,xt_set,ip6_tables,xt_CT,iptable_raw,ip_tables,ip6table_mangle
nf_nat_pptp            12288  0
nf_conntrack_pptp      12288  1 nf_nat_pptp
nf_conntrack_proto_gre    12288  1 nf_conntrack_pptp
nf_nat_h323            16384  0
nf_conntrack_h323      61440  1 nf_nat_h323
nf_nat_proto_gre       12288  1 nf_nat_pptp
nf_nat_tftp            12288  0
nf_nat_ftp             12288  0
nf_nat                 28672  8 nf_nat_ftp,nf_nat_ipv6,nf_nat_ipv4,xt_nat,nf_nat_tftp,nf_nat_pptp,nf_nat_h323,nf_nat_proto_gre
nf_conntrack_tftp      12288  1 nf_nat_tftp
nf_conntrack_ftp       16384  1 nf_nat_ftp
nf_conntrack          126976  17 xt_conntrack,nf_nat,nf_conntrack_tftp,nfnetlink_cthelper,nf_nat_ftp,nf_conntrack_pptp,nf_nat_ipv6,ipt_MASQUERADE,nf_nat_ipv4,xt_nat,nf_nat_tftp,nf_conntrack_h323,nf_nat_pptp,nf_conntrack_proto_gre,nf_conntrack_ftp,xt_CT,nf_nat_h323
nf_defrag_ipv6         16384  1 nf_conntrack
nf_defrag_ipv4         12288  1 nf_conntrack
libcrc32c              12288  2 nf_conntrack,nf_nat
crc32c_generic         12288  0
fuse                  102400  1
br_netfilter           20480  0
bridge                147456  1 br_netfilter
stp                    12288  1 bridge
llc                    12288  2 bridge,stp
igb                   192512  0
intel_soc_dts_thermal    12288  0
intel_soc_dts_iosf     12288  1 intel_soc_dts_thermal
intel_powerclamp       12288  0
coretemp               12288  0
crct10dif_pclmul       12288  0
crc32_pclmul           12288  0
ghash_clmulni_intel    12288  0
cryptd                 16384  1 ghash_clmulni_intel
iTCO_wdt               12288  0
iTCO_vendor_support    12288  1 iTCO_wdt
intel_cstate           12288  0
pcc_cpufreq            12288  0
button                 12288  0
lpc_ich                24576  0
dca                    12288  1 igb
autofs4                40960  2
usb_storage            57344  0
ohci_hcd               49152  0
ehci_hcd               81920  0
uhci_hcd               40960  0
squashfs               53248  1
zstd_decompress        81920  1 squashfs
xxhash                 12288  1 zstd_decompress
loop                   28672  2
overlay               102400  1
ext4                  417792  1
crc16                  12288  1 ext4
mbcache                12288  1 ext4
jbd2                   69632  1 ext4
md_mod                131072  0
nls_ascii              12288  0
sd_mod                 40960  2
ata_generic            12288  0
crc32c_intel           16384  2
ata_piix               32768  1
libata                196608  2 ata_piix,ata_generic
i2c_i801               24576  0
xhci_pci               12288  0
xhci_hcd              176128  1 xhci_pci
scsi_mod              159744  3 sd_mod,usb_storage,libata
thermal                16384  0
fan                    12288  0

sh system kernel-messages | grep igb
[   20.506014] igb: loading out-of-tree module taints kernel.
[   20.597102] igb 0000:01:00.0: added PHC on eth0
[   20.597107] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.597111] igb 0000:01:00.0: eth0: (PCIe:2.5GT/s:Width x1)
[   20.597116] igb 0000:01:00.0 eth0: MAC: 4c:02:89:12:16:ce
[   20.597121] igb 0000:01:00.0: eth0: PBA No: Unknown
[   20.597134] igb 0000:01:00.0: LRO is disabled
[   20.597139] igb 0000:01:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   20.598158] igb 0000:02:00.0: Hardware Initialization Failure
[   20.667107] igb: probe of 0000:02:00.0 failed with error -5
[   20.667991] igb 0000:03:00.0: Hardware Initialization Failure
[   20.736842] igb: probe of 0000:03:00.0 failed with error -5
[   20.737709] igb 0000:04:00.0: Hardware Initialization Failure
[   20.806549] igb: probe of 0000:04:00.0 failed with error -5
[  111.372160] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX

https://bugs.openwrt.org/index.php?do=details&task_id=1923&pagenum=3

After more testing, this does look more like an upstream regression wrt this particular hardware:

Kernel 4.9 (with or without OpenWrt patches) works fine whether igb is a module or builtin.
Kernel 4.14 (with or without OpenWrt patches) and vanilla 4.19 fails to probe the secondary ports if igb is loaded as a module.
If igb is builtin, kernel 4.14 (with or without OpenWrt patches) and vanilla 4.19 probe all ports but the links of the secondary ports stay down no matter what. Also the ethtool self-test fails for these ports.
Since the OpenWrt bug tracker is probably the wrong place by now, does anyone have any suggestion where to take this? Lex? Intel? Upstream kernel? Thank you for your help.

c-po added a comment.Mar 31 2019, 2:17 PM

We now ship Intel ixgbe 5.5.5 driver, maybe you want to test the latest rolling?

c-po added a comment.Apr 15 2019, 5:54 AM

In addition I never received any feedback from the board vendor.

c-po removed c-po as the assignee of this task.Apr 21 2019, 11:24 AM
SteveP added a comment.May 1 2019, 1:48 PM

Hi,

I just had another go with vyos-1.2.0-rolling+201904260337-amd64 and no different. My board has igb not ixgbe (I think that is a different chipset)

sudo ethtool -i eth0
driver: igb
version: 5.3.5.22
firmware-version:  0. 4-1
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

I also tried the latest weekly Buster debian-live-testing-amd64-standard and that also still doesn't work.

I also tried to get some interest from the manufacturer (Lex) but to no avail (see e-mail chain below).

SteveP

E-mails with Lex:

Hi,

I`m really sorry that was answer from my colleagues from Taiwan, this is why we always ask to purchase one unit for test purposes, and verify are you able to use our solution. Have a nice day !

Best regards,
Damian Adamski
Account Manager

LEXCOM B.V. @ Netherlands
Office: 0031-73-687-2385
Mobile: 0031-618-916-834
E-mail: damian.adamski@lex.com.tw
Skype: Damian-LEXCOM
We: www.lex.com.tw

From: Steve Palmer <stevep@asp-services.co.uk>
Sent: Thursday, March 14, 2019 11:57 AM
To: 'Damian Adamski' <damian.adamski@lex.com.tw>
Cc: 'Lexcom - Robert Chang' <robert@lex.com.tw>
Subject: RE: Missing NICs on Lex 3I380D-D90

Hi,

OK, If your current boards are exhibiting the same behaviour, I guess I will have to change to a different system / manufacturer. It is a shame because I have not had this very long and it was expensive.

The reason I think this problem is limited to your boards is that, Debian Buster (Debian 10) has been in testing now for a very long time and the Intel i210/i211 cards are hugely popular so there must be a very large number of people testing Buster on systems with these Intel cards and there appears to be no problems reported with more recent kernels after some driver changes were made in 2016.

https://wiki.vyos.net/wiki/Network_appliances

This is what I am running on it and there are systems listed on there with the same cards that are working.

PC EnginesAPU2C4 6 x 6 inches (152.4 x 152.4 mm) amd64 AMD GX-412TC 3 x Intel i210AT GB Option 2 x miniPCIe No 1.2.0 OK No 02/05/2019 Details

Qotom Q355G4 187 x 115 x 52mm (LHW) ? Core i5-5200U series 4x Intel I211-AT GbE Option 1x miniPCIe, 1x mSATA, 1x SATA Yes / HDMI 1.2.0 OK Yes 06-01-2019 Details

If you are not prepared to investigate this, you are effectively excluding your systems from use with newer Debian versions and any Linux Kernel newer than 4.18.6-1 (Sept 2018).

Please reply letting me know your final say on the matter and if you are not willing to look into it further I will scrap the system in favour of one of the tested models on the list.

Thanks

SteveP

From: Damian Adamski [mailto:damian.adamski@lex.com.tw]
Sent: 14 March 2019 08:58
To: 'Steve Palmer' <stevep@asp-services.co.uk>
Cc: 'Lexcom - Robert Chang' <robert@lex.com.tw>
Subject: RE: Missing NICs on Lex 3I380D-D90

Hi,

To be honest my colleague case its from this year and the system which they bought , is also this year manufactured. We are not responsible for Intel chip drivers anyhow, so I don’t think we are able to help in this matter. Most of our solutions , are equipped with Intel IT210/211 , same like the rest of the good quality IPC manufacturers solutions. I`m really sorry , but it seems that the only way how to solve it for now its to change the kernel. Have a nice day !

Best regards,
Damian Adamski
Account Manager

LEXCOM B.V. @ Netherlands
Office: 0031-73-687-2385
Mobile: 0031-618-916-834
E-mail: damian.adamski@lex.com.tw
Skype: Damian-LEXCOM
We: www.lex.com.tw

From: Steve Palmer <stevep@asp-services.co.uk>
Sent: Wednesday, March 13, 2019 6:45 PM
To: 'Damian Adamski' <damian.adamski@lex.com.tw>
Cc: 'Lexcom - Robert Chang' <robert@lex.com.tw>
Subject: RE: Missing NICs on Lex 3I380D-D90

Hi,

Unfortunately I need to use this with VyOS and have no control over the kernel version. Currently VyOS is using 4.19.28 and will no doubt move to 4.20.x at some point in the future.

I have come to the conclusion that this is probably a hardware problem rather than the igb driver as this problem with the i210/i211 network card seems to have been fixed in 2016 and the only reports of it after 2016 seems to be with Lex hardware.

https://bugs.openwrt.org/index.php?do=details&task_id=1923&pagenum=3

OpenWrt 18.06 on the Lex 3I380NX which has a four-port Intel I210IT Ethernet interface.

From: Damian Adamski [mailto:damian.adamski@lex.com.tw]
Sent: 13 March 2019 16:04
To: stevep@asp-services.co.uk
Cc: 'Lexcom - Robert Chang' <robert@lex.com.tw>
Subject: RE: Missing NICs on Lex 3I380D-D90

Hi Steve,

I get already reply from my colleagues from Taiwan, this issue it`s known with 3I380D-D90. One of our customers meet similar issue , we test many different kernel ver. , and finally we found one which works really well “Debian9.7 (kernel 4.9.0)” , unfortunately we don’t have any other inquiry about it and customer was able to use mentioned one , so we didn’t continue , to find where the problem is. I hope this information will help, this Kernel will be suitable for you too 😊 Have a great day !

Best regards,
Damian Adamski
Account Manager

LEXCOM B.V. @ Netherlands
Office: 0031-73-687-2385
Mobile: 0031-618-916-834
E-mail: damian.adamski@lex.com.tw
Skype: Damian-LEXCOM
We: www.lex.com.tw

From: Damian Adamski <damian.adamski@lex.com.tw>
Sent: Wednesday, March 13, 2019 9:05 AM
To: 'stevep@asp-services.co.uk' <stevep@asp-services.co.uk>
Cc: 'Lexcom - Robert Chang' <robert@lex.com.tw>
Subject: RE: Missing NICs on Lex 3I380D-D90

Hi Steve,

Nice to know you ! Unfortunately in this type of case 😉 I will contact my colleagues , to double check the issue . May I know where did you get our system ?

Best regards,
Damian Adamski
Account Manager

LEXCOM B.V. @ Netherlands
Office: 0031-73-687-2385
Mobile: 0031-618-916-834
E-mail: damian.adamski@lex.com.tw
Skype: Damian-LEXCOM
We: www.lex.com.tw

From: Steve Palmer <stevep@asp-services.co.uk>
Sent: dinsdag 12 maart 2019 9:45
To: info@lex.com.tw
Subject: Missing NICs on Lex 3I380D-D90

Hi,
I have a Lex 3I380D-D90
Bay Trail-D J1900 2.0GHz (Burst to 2.41GHz) (Quad Core)
Intel Bay Trail-D J1900 chipset
Insyde UEFI BIOS
4 x Intel I211AT 10 / 100 / 1000 Mbps

Using Kernel 4.18.6-1 I can use all four NICs. Any later Kernel and I only get one NIC available. I see a dmesg entry when it fails of:

[ 2.468101] igb 0000:01:00.0: added PHC on eth0
[ 2.468103] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[ 2.468106] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce
[ 2.468109] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF
[ 2.468111] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[ 2.469358] igb: probe of 0000:02:00.0 failed with error -2
[ 2.470180] igb: probe of 0000:03:00.0 failed with error -2
[ 2.471005] igb: probe of 0000:04:00.0 failed with error -2
[ 2.479102] igb 0000:01:00.0 enp1s0: renamed from eth0

The NIC that is present is on 0000:01:00.0

I am running the system with VyOS and this problem effectively renders the 3I380D-D90 useless for my purposes unless a fix can be found.

To replicate the problem, please use the latest Debian Buster (weekly build).

Thanks,

Steve Palmer

I'm noticing this issue while attempting a pxe boot to live install on the same chipset but for a quotom unit. Most data that covers this problem seems to point to the kernel being the culprit as previously indicated.

I have just tested Kernel 5.1.2 which has a newer igb driver (version: 5.6.0-k) but still no go. Not really sure where to go next.

ethtool -i enp1s0
driver: igb
version: 5.6.0-k
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

lsmod | grep igb
igb                   249856  0
i2c_algo_bit           16384  2 igb,i915
dca                    16384  1 igb
ptp                    20480  1 igb

 dmesg | grep igb
[    2.737192] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.6.0-k
[    2.737194] igb: Copyright (c) 2007-2014 Intel Corporation.
[    2.766420] igb 0000:01:00.0: added PHC on eth0
[    2.766422] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[    2.766425] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 4c:02:89:12:16:ce
[    2.766428] igb 0000:01:00.0: eth0: PBA No: FFFFFF-0FF
[    2.766431] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[    2.767326] igb: probe of 0000:02:00.0 failed with error -2
[    2.768091] igb: probe of 0000:03:00.0 failed with error -2
[    2.768858] igb: probe of 0000:04:00.0 failed with error -2
[    2.771237] igb 0000:01:00.0 enp1s0: renamed from eth0
[   15.246985] igb 0000:01:00.0 enp1s0: igb: enp1s0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX

modinfo igb
filename:       /lib/modules/5.1.2/kernel/drivers/net/ethernet/intel/igb/igb.ko
version:        5.6.0-k
license:        GPL v2
description:    Intel(R) Gigabit Ethernet Network Driver
author:         Intel Corporation, <e1000-devel@lists.sourceforge.net>
srcversion:     BE47FCE7BC80FB8B8864DA9
alias:          pci:v00008086d000010D6sv*sd*bc*sc*i*
alias:          pci:v00008086d000010A9sv*sd*bc*sc*i*
alias:          pci:v00008086d000010A7sv*sd*bc*sc*i*
alias:          pci:v00008086d000010E8sv*sd*bc*sc*i*
alias:          pci:v00008086d00001526sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Dsv*sd*bc*sc*i*
alias:          pci:v00008086d000010E7sv*sd*bc*sc*i*
alias:          pci:v00008086d000010E6sv*sd*bc*sc*i*
alias:          pci:v00008086d00001518sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Asv*sd*bc*sc*i*
alias:          pci:v00008086d000010C9sv*sd*bc*sc*i*
alias:          pci:v00008086d00000440sv*sd*bc*sc*i*
alias:          pci:v00008086d0000043Csv*sd*bc*sc*i*
alias:          pci:v00008086d0000043Asv*sd*bc*sc*i*
alias:          pci:v00008086d00000438sv*sd*bc*sc*i*
alias:          pci:v00008086d00001516sv*sd*bc*sc*i*
alias:          pci:v00008086d00001511sv*sd*bc*sc*i*
alias:          pci:v00008086d00001510sv*sd*bc*sc*i*
alias:          pci:v00008086d00001527sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Fsv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Esv*sd*bc*sc*i*
alias:          pci:v00008086d00001524sv*sd*bc*sc*i*
alias:          pci:v00008086d00001523sv*sd*bc*sc*i*
alias:          pci:v00008086d00001522sv*sd*bc*sc*i*
alias:          pci:v00008086d00001521sv*sd*bc*sc*i*
alias:          pci:v00008086d0000157Csv*sd*bc*sc*i*
alias:          pci:v00008086d0000157Bsv*sd*bc*sc*i*
alias:          pci:v00008086d00001538sv*sd*bc*sc*i*
alias:          pci:v00008086d00001537sv*sd*bc*sc*i*
alias:          pci:v00008086d00001536sv*sd*bc*sc*i*
alias:          pci:v00008086d00001533sv*sd*bc*sc*i*
alias:          pci:v00008086d00001539sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F45sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F41sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F40sv*sd*bc*sc*i*
depends:        ptp,dca,i2c-algo-bit
retpoline:      Y
intree:         Y
name:           igb
vermagic:       5.1.2 SMP mod_unload modversions
parm:           max_vfs:Maximum number of virtual functions to allocate per physical function (uint)
parm:           debug:Debug level (0=none,...,16=all) (int)

SteveP

c-po added a comment.May 21 2019, 8:53 PM

IMHO the only reasonable solution would be to git bisect the Kernel and find the commit which introduced the problem.

Hi c-po, There is an igb driver update from Intel. https://sourceforge.net/projects/e1000/files/igb%20stable/5.3.5.22s/

Would you like me to try it in a stock Debian install to see if it fixes my problem or would you prefer to just update VyOS and I'll test it on VyOS?

Let me know.

SteveP

c-po added a comment.Jun 1 2019, 11:05 AM

@SteveP latest ISO has the driver updates, please test.

c-po added a comment.Jun 2 2019, 5:55 AM
[   44.984873] igb: loading out-of-tree module taints kernel.
[   44.988636] Intel(R) Gigabit Ethernet Linux Driver - version 5.3.5.22s
[   44.988638] Copyright(c) 2007 - 2019 Intel Corporation.
vyos@vyos:~$ show version
Version:          VyOS 1.2.0-rolling+201906020337
Built by:         autobuild@vyos.net
Built on:         Sun 02 Jun 2019 03:37 UTC
Build UUID:       d1f7abb7-22e5-444a-b78d-6ac57ac12770
Build Commit ID:  e91ac330b78025
SteveP added a comment.Jun 3 2019, 5:07 AM

It didn't fix my problem. I don't think it is caused by the igb driver.

VyOS 1.2.0-rolling+201906020337
sudo ethtool -i eth0
driver: igb
version: 5.3.5.22s
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no

Hi c-po,

I just tested 1.2.0-rolling+201906270337 (kernel 4.19.54) and it now appears to be fixed. The last time I tested it was for the Intel 5.3.5.22s igb driver update (VyOS 1.2.0-rolling+201906020337) which, on June 02
would have been running kernel 4.19.46. So somewhere between 4.19.46 & 4.19.54 something has changed to fix this problem. I have been through all the changelogs for all these versions and there is nothing for
this specific problem. I guess we'll have to wait and see if it remains fixed.

sho system image
The system currently has the following image(s) installed:

   1: 1.2.0-rolling+201906270337 (default boot)
   2: 1.2.0-rc5


sudo ethtool -i eth0
driver: igb
version: 5.3.5.22s
firmware-version:  0. 4-1
expansion-rom-version:
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no


lsmod | grep igb
igb                   192512  0


modinfo igb
filename:       /lib/modules/4.19.54-amd64-vyos/updates/drivers/net/ethernet/intel/igb/igb.ko
version:        5.3.5.22s
license:        GPL
description:    Intel(R) Gigabit Ethernet Linux Driver
author:         Intel Corporation, <e1000-devel@lists.sourceforge.net>
srcversion:     786CFB65001F11CF19FE381
alias:          pci:v00008086d000010D6sv*sd*bc*sc*i*
alias:          pci:v00008086d000010A9sv*sd*bc*sc*i*
alias:          pci:v00008086d000010A7sv*sd*bc*sc*i*
alias:          pci:v00008086d000010E8sv*sd*bc*sc*i*
alias:          pci:v00008086d00001526sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Dsv*sd*bc*sc*i*
alias:          pci:v00008086d000010E7sv*sd*bc*sc*i*
alias:          pci:v00008086d000010E6sv*sd*bc*sc*i*
alias:          pci:v00008086d00001518sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Asv*sd*bc*sc*i*
alias:          pci:v00008086d000010C9sv*sd*bc*sc*i*
alias:          pci:v00008086d00000440sv*sd*bc*sc*i*
alias:          pci:v00008086d0000043Csv*sd*bc*sc*i*
alias:          pci:v00008086d0000043Asv*sd*bc*sc*i*
alias:          pci:v00008086d00000438sv*sd*bc*sc*i*
alias:          pci:v00008086d00001516sv*sd*bc*sc*i*
alias:          pci:v00008086d00001511sv*sd*bc*sc*i*
alias:          pci:v00008086d00001510sv*sd*bc*sc*i*
alias:          pci:v00008086d00001527sv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Fsv*sd*bc*sc*i*
alias:          pci:v00008086d0000150Esv*sd*bc*sc*i*
alias:          pci:v00008086d00001524sv*sd*bc*sc*i*
alias:          pci:v00008086d00001523sv*sd*bc*sc*i*
alias:          pci:v00008086d00001522sv*sd*bc*sc*i*
alias:          pci:v00008086d00001521sv*sd*bc*sc*i*
alias:          pci:v00008086d00001539sv*sd*bc*sc*i*
alias:          pci:v00008086d0000157Csv*sd*bc*sc*i*
alias:          pci:v00008086d0000157Bsv*sd*bc*sc*i*
alias:          pci:v00008086d00001538sv*sd*bc*sc*i*
alias:          pci:v00008086d00001537sv*sd*bc*sc*i*
alias:          pci:v00008086d00001536sv*sd*bc*sc*i*
alias:          pci:v00008086d00001533sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F45sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F41sv*sd*bc*sc*i*
alias:          pci:v00008086d00001F40sv*sd*bc*sc*i*
depends:
retpoline:      Y
name:           igb
vermagic:       4.19.54-amd64-vyos SMP mod_unload modversions
parm:           InterruptThrottleRate:Maximum interrupts per second, per vector, (max 100000), default 3=adaptive (array of int)
parm:           IntMode:Change Interrupt Mode (0=Legacy, 1=MSI, 2=MSI-X), default 2 (array of int)
parm:           Node:set the starting node to allocate memory on, default -1 (array of int)
parm:           LLIPort:Low Latency Interrupt TCP Port (0-65535), default 0=off (array of int)
parm:           LLIPush:Low Latency Interrupt on TCP Push flag (0,1), default 0=off (array of int)
parm:           LLISize:Low Latency Interrupt on Packet Size (0-1500), default 0=off (array of int)
parm:           RSS:Number of Receive-Side Scaling Descriptor Queues (0-8), default 1, 0=number of cpus (array of int)
parm:           VMDQ:Number of Virtual Machine Device Queues: 0-1 = disable, 2-8 enable, default 0 (array of int)
parm:           max_vfs:Number of Virtual Functions: 0 = disable, 1-7 enable, default 0 (array of int)
parm:           MDD:Malicious Driver Detection (0/1), default 1 = enabled. Only available when max_vfs is greater than 0 (array of int)
parm:           QueuePairs:Enable Tx/Rx queue pairs for interrupt handling (0,1), default 1=on (array of int)
parm:           EEE:Enable/disable on parts that support the feature (array of int)
parm:           DMAC:Disable or set latency for DMA Coalescing ((0=off, 1000-10000(msec), 250, 500 (usec)) (array of int)
parm:           LRO:Large Receive Offload (0,1), default 0=off (array of int)
parm:           debug:Debug level (0=none, ..., 16=all) (int)


sudo dmesg | grep igb
[   20.060182] igb: loading out-of-tree module taints kernel.
[   20.150258] igb 0000:01:00.0: added PHC on eth0
[   20.150262] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.150265] igb 0000:01:00.0: eth0: (PCIe:2.5GT/s:Width x1)
[   20.150269] igb 0000:01:00.0 eth0: MAC: 4c:02:89:12:16:ce
[   20.150273] igb 0000:01:00.0: eth0: PBA No: Unknown
[   20.150285] igb 0000:01:00.0: LRO is disabled
[   20.150287] igb 0000:01:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   20.245916] igb 0000:02:00.0: added PHC on eth1
[   20.245920] igb 0000:02:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.245923] igb 0000:02:00.0: eth1: (PCIe:2.5GT/s:Width x1)
[   20.245926] igb 0000:02:00.0 eth1: MAC: 4c:02:89:12:16:cf
[   20.245931] igb 0000:02:00.0: eth1: PBA No: Unknown
[   20.245948] igb 0000:02:00.0: LRO is disabled
[   20.245951] igb 0000:02:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   20.338387] igb 0000:03:00.0: added PHC on eth2
[   20.338390] igb 0000:03:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.338393] igb 0000:03:00.0: eth2: (PCIe:2.5GT/s:Width x1)
[   20.338396] igb 0000:03:00.0 eth2: MAC: 4c:02:89:12:16:d0
[   20.338399] igb 0000:03:00.0: eth2: PBA No: Unknown
[   20.338411] igb 0000:03:00.0: LRO is disabled
[   20.338414] igb 0000:03:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   20.429608] igb 0000:04:00.0: added PHC on eth3
[   20.429612] igb 0000:04:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   20.429614] igb 0000:04:00.0: eth3: (PCIe:2.5GT/s:Width x1)
[   20.429617] igb 0000:04:00.0 eth3: MAC: 4c:02:89:12:16:d1
[   20.429621] igb 0000:04:00.0: eth3: PBA No: Unknown
[   20.429632] igb 0000:04:00.0: LRO is disabled
[   20.429634] igb 0000:04:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[  113.977743] igb 0000:02:00.0 eth1: igb: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[  117.253309] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[  120.629933] igb 0000:04:00.0 eth3: igb: eth3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[  122.334063] igb 0000:04:00.0: changing MTU from 1500 to 1508
[  125.201321] igb 0000:04:00.0 eth3: igb: eth3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX

SteveP

Just booted vyos-1.2.0-rolling+201906230337-amd64.iso (4.19.52) and it does not work so that narrows it down a bit more. Either 4.19.53 or 4.19.54. Or were there any other changes to VyOS between June 23 and June 27 (other than the kernel) that could have fixed it?

sh int
Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
eth0             192.168.3.1/24                    u/u
lo               127.0.0.1/8                       u/u
                 ::1/128
uname -r
4.19.52-amd64-vyos

SteveP

c-po added a comment.Sun, Jul 14, 12:42 PM

It will be definately a Kernel issue. I will close this now as it seems to be resolved. Please re-open when the issue re-appears on a new update of the kernel.

c-po claimed this task.Sun, Jul 14, 12:42 PM
c-po closed this task as Resolved.
c-po lowered the priority of this task from Normal to Low.
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.